About

 Top Next

With Arles you can quickly and easily create image galleries on the web. Arles creates high quality thumbnail images, modifies your images and generates HTML pages. A fully featured Image Explorer is included.

Arles Image Explorer

Organize your images and movies.

Arles Image Web Page Creator

Create image web page galleries.

Getting started creating web image galleries

Getting started tutorial on how to create an image web page gallery.


Getting Started Creating a Image Web Page Gallery

 Top Previous Next

If the Image Explorer is your main window, click the Web Pages button on the toolbar to open the Web Page Creator window.

Create a gallery

1. Organize your images

Click the Browse button to view, sort and select images in the Arles Image Explorer.

2. Select folder with images

Select the Source folder where the images are stored for which you want to create a gallery (eg C:\Images\Holiday).

3. Select target folder

Select the Target folder where you want Arles to save the generated gallery files.

4. Generate gallery

Click the All button on the toolbar to generate the gallery.

5. Show gallery

Click the Show button on the toolbar to show the generated gallery in your browser.

Customize your gallery

To customize the layout of your gallery, just try any option and click the All and Show buttons again. To get help, press F1 or click the Help button in any window.

For example, to change increase the size of the thumbnails to 120x120:

1. In the main window select the thumbnails tab.
2. Set the Width and Height to 120.
3. Recreate your gallery by clicking the All button.
4. Click the Show button to view the gallery.

Publish the gallery to your web server

If you are satisfied with the results, upload the gallery to your web server.


Order

Direct order link

http://www.digitaldutch.com/arles/order.htm

Website

http://www.digitaldutch.com

Support

Arles online support forum

Email

info@digitaldutch.com


Arles Image Explorer

The Arles Image Explorer is a full featured image manager. You can view images, sort them and do a load of other things. If the Arles Image Web Page Creator is your main window, click the Browse button the open the Image Explorer.

Viewing images

View images in the thumbnail viewer or full screen.

Rotate images

Rotate images quickly without modifying them.

Sorting images

Sort the images in the order you want them.

Selecting images

Select images to include in your galleries.

Editing image information

Add titles to all your images.

Editing folder information

Set folder options.

Drag and drop images

Sort your images with the mouse.

Folder Bookmarks

Create and use folder bookmarks.

Rename files

Rename your image files.

Email images

Email images to your friends and family.

Movies

Viewing movies and selecting a movie poster frame.

View image EXIF information

View information added to the images by your digital camera.

View and edit IPTC image information

Store titles, keywords and other information in your image files.


Viewing Images

Select any folder in the treeview on the left to view its images.

Layouts

You can view images in the Grid or Thumbnail layout. Click the Layout button on the toolbar to switch between the two views. For folders with many images on when you are on a slower computer, you may want to use the grid view. The size of the thumbnails can be changed by selecting the View menu > Thumbnail Size.

Image viewer

To view images in the image viewer, click the Viewer button in the toolbar or double click the image.


Rotate Images

To rotate images:

1. Select the images you want to rotate in the Arles Image Explorer.
2. Click the Rotate button in the toolbar or select the Image menu > Rotate > Right.

How image rotation works

Arles Image Web Page Creator does not modify your image files like most other image editing applications do. Those other applications rotate the image and then resave it, which often results in image quality degradation.

Arles leaves the image unchanged and instead remembers how much each image must be rotated, thus making sure the image quality is 100% maintained.

Another advantage of this method is that rotating images in Arles is lightning fast. You can rotate multiple images at the same time by selecting them and clicking the Rotate button.

Arles' rotation method makes viewing and processing images a little bit slower, because the images have to be rotated on the fly. If you don't want to take advantage of the Arles rotation feature, just rotate the original image in your favorite image editing application instead.

Tip

Use Reset from the Rotate menu to show the image again in it's original position.

EXIF rotation

Many digital cameras add the orientation at which is picture is taken to EXIF information that is embedded in the photo. Arles automatically rotates images to the upright position on basis of this information.

Sometimes the EXIF position field is not set correctly. This may happen with images from older digital cameras that do not have a position sensor. And sometimes other applications rotate images without updating the info in the EXIF position field.

Arles can automatically fix the EXIF position field in these images. When you rotate images that contains a EXIF position field, Arles will ask you if you want the EXIF information to be updated. If you select Yes, one byte in the EXIF segment of the photo file will be changed. The image quality is fully maintained.

You can set the EXIF options in the Image Explorer Options window.


Sorting Images

Sort images

By default all images are sorted by name. To change the sort type select the View menu > Arrange Images > by Size.

In the grid view you also can click on column headings to sort on the column. Click twice to sort in reverse order.

Custom sorting

Drag and drop images with your mouse to sort them in a custom order. All sorting information will be automatically stored in the Images Database.


Selecting Images

Check the image checkbox to include or exclude images for the galleries. You can select multiple images by holding the Ctrl or Shift keys.


Editing Image Information

Edit image titles

To add a title to an image:

1. In the Arles Image Explorer select any image.
2. Enter your title in the Title 1 field on the Image Info panel. If the Image Info panel is not visible, click the Image Info button in the toolbar.

You can use the Alt+Left and Alt+Right keys to browse through all images without taking your hands of the keyboard (More shortcuts).

Insert title tags

Title tags are usually used in the Advanced Title Options window, but you can also use them in the Arles Image Explorer title fields.

To add a title tag:

1. In the Image Explorer make sure the Image Information panel is visible. Click the Image Info button in the toolbar if it is hidden.
2. Right click in the Title 1 field.
3. From the popup menu select Insert > File name.

Add image titles to a gallery

Titles defined in the Arles Image Explorer can be used in your image galleries by selecting Title1 or Title2 on the Titles tab in the main window.

To use the Title 1 field as thumbnail title:

1. In the main window select the Titles tab.
2. Set the Thumbnail title to Image title 1.
3. Recreate your gallery by clicking the All or HTML button in the main window.

To use the Title 1 in any other title:

1. In the main window select the Titles tab.
2. Click the Advanced button.
3. In the Advanced Title Options window select a title (eg Image title).
4. From the Tags section select File title 1.
5. Recreate your gallery by clicking the All or HTML button in the main window.

Image link

The image link field can be used to add an Internet link. You can set custom links for thumbnails and images on the Advanced Index Page Options and Advanced Image Pages Optionswindows.


Editing Folder Information

Sort folder

To sort the images in a folder select a sorting type from the Sort drop down box. You can also sort images manually by dragging with your mouse.

Edit folder title

To add a folder title:

1. In the Arles Image Explorer select any folder in the treeview.
2. Enter your title in the Folder title field on the Image Info panel. If the Image Info panel is not visible, click the Image Info button in the toolbar.

You can use the Alt+Left and Alt+Right keys to browse through all images without taking your hands of the keyboard (More shortcuts).

Select a default image for multi-folder processing

When generating galleries with subfolders a thumbnail image is added for each category. By default Arles selects the first image in any category. To override the default image for a subcategory or folder select an image file in the Default Image box.

Select a custom style for multi-folder processing

When multi-folder processing all folder are generated with the same style. To select a custom style for a gallery select a Arles style file or standard *.arl file in the Custom Style box.


Drag and Drop Images

Drag and drop can be used to sort, copy or move images. You can also drag images to any other application that supports file drags.

To move or copy images

1. Select a folder in the Arles Image Explorer.
2. Select all images you want to copy.
3. Drag them to another folder in the treeview on the left.

Hold the Control key while dragging to always copy the dragged images. Hold the Shift key while dragging to always move images. Image title information will be lost if you move or copy images in the Windows File Explorer. To keep image information copy/move your images within the Arles Image Explorer.

Drag to another application

You can drag and drop (or copy and paste) images directly to and from the Windows Explorer or any other application accepting file drags.

1. In the Arles Image Explorer select the images you want to drag.
2. With your mouse left click the images and drag them to another application, like Photoshop.

Drag and drop browser links into Arles

Arles can show images and even create galleries of webpages and even Internet addresses (URLs). To create a folder with Internet links:

1. Open the Arles Image Explorer and select a folder where you want to store web links (URLs).
2. Drag and Drop any URL from your web browser into Arles. You can do this by dragging the icon in the web browser address bar or by dragging any link in your browser to the Arles Image Explorer.
3. If you are connected to the Internet, Arles will automatically download the web page and create an thumbnail.
4. The link field in the Arles Image Explorer Image Info panel will automatically be set to the link.


Folder Bookmarks

Arles allows you to create bookmarks for folders that you often access. Folder bookmarks work just like browser bookmarks. Clicking it opens the folder without having to search for it in the folder treeview.

Show/Hide the bookmark panel

To show or hide the Folder Bookmarks panel select the View menu > Panels > Folder Bookmarks. You can also use the Ctrl+B keyboard shortcut.

Bookmark actions

Create a bookmark

To create a bookmark, select the folder and then click the Add button on the Folder Bookmarks panel header or you can select the File menu > Bookmark Current Folder. But you can also use the Ctrl+D keyboard shortcut.

Delete a bookmark

To delete a bookmark, select it and click the Delete key. Alternatively right click the bookmark and select Delete from the popup menu.

Rename a bookmark

To rename a bookmark right click it and select Rename from the popup menu or use the F2 keyboard shortcut.

Sort bookmarks

To sort the current bookmarks level right click a bookmark and select Sort Level by Name.

Move bookmarks

To move a bookmark drag and drop it with your mouse to a new location.

Categories

Arles allows you to create unlimited bookmark categories with as many sublevels as you like.

Create a category

To create a new category right click the bookmark panel and select New Category.

You can delete, rename and move categories in the same way as bookmarks.


Rename Files

Rename a single file

To rename a single file:

1. Select the file in the Arles Image Explorer.
2. Select the File menu > Rename or select Rename from the right click menu.
3. Type the new name and click Return.

Rename multiple files

To rename multiple files:

1. Select the Tools menu > Rename Files.
2. In the Rename Files window, select the Simple tab.
3. Type a new name. The example area will show the new file names.
4. Click OK.

Advanced options

The Advanced tab allows you to:

· Use special tags, like EXIF fields or the file modification date, in the filenames.
· Replace or delete text in the filenames.
· Convert filenames to lower or title case.

Using file name tags

Filename tags allow you to insert special file information, like EXIF fields or the file modification date, in the new filename. Click the Insert Tag button to insert a filename tag.

Tag name | Description
Filename | File name without extension.
Extension | File extension (eg "JPG")
Folder name | Folder name
File date | File modified date/time
Counter | Counter with automatic amount of leading zeros.
Counter (Advanced) | Counter that allows you specify the start value and the number of leading zeros.
Today's date | Today's date
Arles Title 1 | Arles Title 1 field as shown in the Arles Image Explorer.
Arles Title 2 | Arles Title 2 field as shown in the Arles Image Explorer.
Arles Link | Arles Link field as shown in the Arles Image Explorer.
EXIF | EXIF field. Select a field from the EXIF field selection window.
IPTC | IPTC field. Select a field from the IPTC field selection window.
JPEG Comment | JPEG comment

Date and time format

If you select a date or time field, like the File date or the EXIF DateTime, the date/time formatting window will be shown. There are a wide range of date and time formatting options available.

Delete text

To delete part of the old file name type the text you want to be removed in the Delete box on the Advanced tab.

Replace text

To replace the text in file names: Enter the text to be replaced in the Replace box and the replacement text in the With box.


Email Images

Arles allows you send your images by email. Large images can be automatically resized to prevent very large email messages.

Select images

To add images to the email window select them in the Image Explorer and click the Email button or drag and drop them from the Image Explorer to the Email Images window.

Remove images

To remove images from the Email Images window, select them and press the Delete key.

Select image size

Select a maximum image size if you want Arles to reduce the image sizes. This is handy if you don't want to send very large email messages that can take a long time to upload and download. The estimated total email size is shown below image size box.

Options

By default images are sent with the default Windows email application. Click the Options button to change the way you want to send your emails.


Movies

Arles supports MPEG, AVI and WMF movies.

Play a movie

To play a movie:

· Select it in the Image Explorer.
· Select from the File menu > Open or right click it and select Open from the popup menu.

This will open the movie in the default Windows media player. If you view a movie in the image viewer you will only see the poster frame.

Select a poster frame

The default image of a movie that is showed in the thumbnail view is called the poster frame. Most movie applications show the first frame of the movie as poster frame. This first frame is generally a bad choice because it is often black. This is why Arles selects the frame at 10% of the full play time as poster frame. But you can also select any other frame as poster frame.

To select a movie poster frame:

· Select the movie in the Image Explorer.
· Select the File menu > Select Movie Poster Frame or right click the Select Movie Poster Frame item from the popup menu.

This will open the Select Movie Frame window.


Select Movie Poster Frame

The Select Movie Frame window is used to select poster frames for movies. The poster frame is used in the thumbnail viewer and as thumbnail in any generated galleries.

Open the Select Movie Frame window

To open the Select Movie Frame window:

· Select the movie in the Image Explorer.
· Select the File menu > Select Movie Poster Frame or right click the Select Movie Poster Frame item from the popup menu.

Select a poster frame

To select a poster frame just pause the movie on the frame you want and click the OK button.

Keyboard and mouse shortcuts

Shortcut | Action
Left Arrow | Go one frame back
Page Up | Go one second back
Page Down | Go one second forward
Right Arrow | Go one frame forward
Spacebar or Mouse Click | Pause/Play movie
Drag Progress Indicator | Quick search


Viewing EXIF Info

What is EXIF?

Most images taken with digital cameras contain a EXIF (Exchangeable Image File Format) section. In this section data like the date and time the picture was taken, shutter speed and exposure time is stored.

View EXIF information

To view EXIF information select an image in the Arles Image Explorer and select Image menu > EXIF Information or right click any image and select from the popup menu the Info menu > EXIF.


Editing Image IPTC Info

What is IPTC?

IPTC image information allows you to store information like titles, keywords, creation date in your image files. It is a world wide standard supported by many other image editing and managing applications like Adobe Photoshop.

Arles supports IPTC for JPEG and TIFF image files.

Why should I use it?

By storing captions and keywords in your images you can easily share image information with other applications and you can easily move to other computers or email them without loosing title information.

Does the JPEG image quality degrade when saving IPTC information?

No. Image quality is fully maintained. Arles only modifies the IPTC information section in a JPEG or TIFF file when saving IPTC changes.

Edit IPTC information

To edit IPTC information:

1. Select an image in the Arles Image Explorer.
2. Select Image menu > IPTC Information.

Note

You can use the Alt+Left and Alt+Right keys to browse through all images without taking your hands of the keyboard.

Edit IPTC information for multiple images

To edit IPTC information for multiple images:

1. Select multiple images in the Arles Image Explorer.
2. Select Image menu > IPTC Information.

Only the fields with selected checkboxes will be modified.

IPTC Templates

IPTC Templates are an easy way to quickly fill or modify IPTC fields. For example, you can save your copyright information in a template and load it with one click each time you want to add it to a range of images.

To apply first click the Templates button in the IPTC image information window. Next select an item from the templates box and click Load.

Template load options

Clear current IPTC info

Clears the current IPTC information before loading the new template. Unselect this option if you only want to add new fields to the current IPTC contents.

Add keywords instead of replace

Any keywords in the template will be added to the current keywords. If you don't select this option all current keywords will be cleared.

Add sup. categories instead of replace

Any supplemental categories in the template will be added to the current categories. If you don't select this option all current supplemental categories will be cleared.

To create a new template:

1. Set the IPTC fields.
2. Select the correct Load options
3. Click the Save button.

To delete a template:

1. Select the template.
2. Click the Delete button.

Add IPTC information to a gallery

To set the IPTC caption field as thumbnail title in a gallery:

1. In the main window select the Titles tab.
2. Set the thumbnail title to Image IPTC caption.
3. Recreate your gallery by clicking the All or HTML button in the main window.

To show all IPTC information in the thumbnail title:

1. In the main window select the Titles tab.
2. Set the thumbnail title to Image IPTC information.
3. Recreate your gallery by clicking the All or HTML button in the main window.

To add any IPTC field to a gallery:

1. In the main window select the Titles tab.
2. Click the Advanced button.
3. In the Advanced Title Options window select (eg Thumbnail title).
4. From the Tags section select Image IPTC tag.
5. In the tag <ImageIPTC Tag="Caption"> replace Caption with an other IPTC field name like Headline.
6. Recreate your gallery by clicking the All or HTML button in the main window.


Editing JPEG Comment

What is a JPEG comment?

JPEG images can contain a comment section inside the image file. It allows you to store up to 65534 characters of text inside the JPEG file.

Edit the JPEG comment

To edit the JPEG comment section:

1. Select a JPEG image in the Arles Image Explorer.
2. Select Image menu > JPEG comment.

Note

You can use the Alt+Left and Alt+Right keys to browse through your images without taking your hands of the keyboard.

Edit JPEG comments for multiple images

To edit the JPEG comment section for multiple images:

1. Select multiple images in the Arles Image Explorer.
2. Select Image menu > JPEG comment.

Changes will only be saved to the multiple images if the Save changes checkbox is selected.

Add JPEG comments to a gallery

To add JPEG comments to the thumbnail or any other title in a gallery:

1. In the main window select the Titles tab.
2. Click the Advanced button.
3. In the Advanced Title Options window select Thumbnail title.
4. From the Tags section select Image JPEG comment.
5. Recreate your gallery by clicking the All or HTML button in the main window.


Image Explorer Options

In the Image Explorer select the Tools menu > Options to display the Image Explorer Options window. The options are automatically saved when you close Arles.

Image Explorer Options

Image Explorer

Set general Image Explorer options.

Interface

Set Image Explorer interface options.

IPTC/EXIF

Set embedded information options like EXIF, IPTC and JPEG Comment.

Images

Set image files options.

Email

Set email images options.


Image Explorer

Thumbnails

Width and Height

Set the width and height of the thumbnails in the Arles Image Explorer thumbnail layout.

High quality thumbnails

Select to make the thumbnails in the Arles Image Explorer look better.

These settings have no influence on the quality of the thumbnails and images generated with the Arles Image Web Page Creator.

Double click action

Select what you want Arles Image Web Page Creator to do when you double click an image.

Option | Description
Edit with External Editor | Opens the Image in the external image editor.
Windows "Open" | Opens the Image in the default application. This action is exact to double clicking an image in the Windows Explorer.
Image Viewer | Shown the image in the Image Viewer.

External image editor

External image editor application. In the Image Explorer you can select files and open them in the image editor specified here by selecting File menu > Edit.


Interface

Confirmations

Warn when saving titles to multiple images

Switch on if you want to be warned when you are saving title changes for multiple images.

Interface

Show image hints

Select to show a tooltip with image information whenever you move your mouse over an thumbnail or grid item in the Arles Image Explorer.

Show help panel in Email Images window

The Email Images window contains a help panel which tells you how to add and remove images. Select this option to show it.

Arles Startup

Start with

Determines with what window Arles will startup

Image Explorer | Start with the Image Explorer window.
Web Page Creator | Start with Arles Image Web Page Creator window.
Remember last open window | Arles remembers the last window you closed and reopens it when you start a new Arles session.


IPTC/EXIF

IPTC, EXIF and JPEG comments all allow storing information about the image in the file itself. IPTC is often used for descriptions and keywords while EXIF information is generally added by digital cameras and contains info about the picture, like time taken, shutterspeed, aperture, etc.

IPTC information

Confirm saving IPTC information

Shows a confirmation dialog when saving IPTC changes.

Update file modification time when editing IPTC information

Updates the file modification time when saving IPTC changes.

EXIF information

Auto-rotate using EXIF orientation field

Many digital cameras leave save the orientation at which the picture is taken (e.g. normal, 90° rotated clockwise) in the EXIF segment. With auto-rotate selected Arles will automatically show images with the orientation field set in the correct position.

Note: If you change this option the rotation of all images containing EXIF information will be reset.

Update EXIF orientation field when rotating

Some digital cameras do not set the EXIF orientation field and in other situations 3rd party applications fail to update the EXIF field when rotating an image. This both results in the EXIF orientation field containing incorrect information. Arles can fix this automatically for you every time you rotate an image. This correction only changes the orientation field in the EXIF segment of the image file (1 byte). The image quality is 100% maintained.

Confirm saving EXIF information

Shows a confirmation dialog when saving EXIF changes.

Update file modification time when saving the EXIF information

Updates the file modification time when saving EXIF changes.

Jpeg comments

Confirm saving JPEG comments

Shows a confirmation dialog when saving JPEG comment changes.

Update file modification time when editing Jpeg comment

Updates the file modification time when saving JPEG comment changes.


Images

Image types to process

Check the image file types you want to be processed by Arles Image Web Page Creator. Only selected image types will be shown in the Arles Image Explorer.

JPEG load/save method

Select Hardware accelerated for the fastest loading JPEGs. Sometimes hardware or old drivers cause JPEG images not to load correctly. Selecting the Standard setting might correct such problems.

HTML image load options

Arles can create images of HTML pages (*.html files) and websites (*.url files).

The width and height are the size of the virtual browser window used to create the HTML and URL images.

Width

Virtual browser window width used to create the HTML images.

Recommended value: 800 pixels

Min height

Minimum virtual browser height. The generated HTML image will be at least this height even if the HTML page is shorter.

Recommended value: 800 pixels

Max height

Maximum virtual browser page height. Web pages that are longer than this value will be cut off. Make the max height a small value (e.g. 600 pixels) if you only want to show the top part of long pages. Select a large value (e.g. 2,000 pixels) if you want to show the complete web page.

Be careful when specifying large values, like 5,000 or more pixels. Very large images will be generated for long web pages. This will slow down Arles, and might in some cases even crash older computers running Windows 95/98/ME. Only select a value of more than a 1,000 pixels if you have a modern computer running Windows 2000, XP or better.

Recommended value: 800 - 2000 pixels.

Website load timeout

Creating images of websites can take a long time if the site's web server is slow or if you have a slow Internet connection. When loading takes longer than the timeout value, the image is generated even if the page has not been completely loaded. If you are on a slow modem connection you might want to increase this value to 60 seconds or longer.

Recommended value: 30 seconds


Email

You can email images from the Image Explorer. You can specify here how you want to email those images.

Email method

Emails can be send using three different methods.

Default Windows email program (MAPI)

Emails will be sent using the default Windows email application (eg Outlook Express). Arles will prepare the images and automatically open the default Windows email application. You can then type your email message text in your default email application.

Default Windows email program, Compose in Arles (MAPI)

Emails will be sent using the default Windows email application. The difference with the first option is that you can now compose the message in Arles.

External email server (SMTP)

The emails will be sent using an external SMTP email server. The message will be composed in Arles.

Email

Your name

When you send messages this name will show up in the From field.

Your email address

This is the email address people should respond to when sending you an email. The email address should be in the format yourname@yourdomain.com. For example jane@hotmail.com.

Outgoing mail server (SMTP)

SMTP server name

Specifies the SMTP server used for sending your email messages. Ask your Internet Service provider or your system administrator if you don't know what to put here.

My server required authentication

Select this option if your SMTP servers requires you to specify a password.

Account name

The name you use to login into your SMTP server.

Password

The password used to login into your SMTP server.


Images Database

All image information edited in the Arles Image Explorer, like titles, image rotation and sorting order, is automatically stored in the Arles images database.

Cleaning the database

Backing up the database

Restoring a database

Checking and repairing the database

Export data to text file

Import data from text file


Cleaning the database

Cleaning the database will reduce the database size. You can select the information you want to be removed when cleaning the database.

To clean the database:

1. In the Arles Image Explorer select Database menu > Clean....
2. In the Database Clean window click the Clean button.

The current database size is indicated at the top.

To clear all cached thumbnail images:

1. In the Arles Image Explorer select Database menu > Clean....
2. In the Database Clean window click the Clear All Cache button.

Clean Options

Remove entries pointing to non existing images

Information for image files that no longer exist on your computer will be removed.

Remove cached thumbnails not used for 8 days

Arles caches thumbnail images to speed up showing images in the Arles Image Explorer. Thumbnail cache that has not been accessed for the specified amount of days will be removed.

Cache image explorer thumbnail images

Arles caches thumbnails to speed up showing images. Uncheck this option if you do not want to cache thumbnails. Be warned that the thumbnail view will be much slower. Press the Clear All Cache button to actually remove all thumbnail images from the database.

Warn if database grows larger than 50 MB

Select this option if you want Arles to warn you on program exit when the database size has grown larger than the specified amount of mega bytes.


Backing up the database

To backup your database:

1. In the Arles Image Explorer select Database menu > Backup.
2. Specify a backup file name.
3. Click OK.


Restoring a database

To restore a Arles images database:

1. In the Arles Image Explorer select Database menu > Restore.
2. Select a Arles database backup file.
3. Click OK.
4. Confirm that you want to overwrite the current database.


Checking and repairing the database

To check your database integrity and repair any possible problems:

1. In the Arles Image Explorer select Database menu > Administration > Check and Repair.


Export to text file

All data edited in the Image Explorer is stored in the Arles database. This data can be exported to a text file by using the Export Database Data wizard.

To export data from the Arles database:

1. In the Arles Image Explorer select Database menu > Administration > Export to Text File.
2. Follow the instructions of the Export wizard.
3. Click Finish.

Wizard options

Step 1: What do you want to export?

Select Images data if you want to export image titles and other image information. Select Folders data if you want to export folder titles.

Database Export options

You can export all data or only the data for a folder.

Step 2: Select fields to export

Select the checkbox for all fields you want to export. If you want to import data into the database later, make sure the Filename field is selected. This field is required for the database import.

Step 3: Specify export file name

Specify the file name of the export file.

Field delimiter

This is the character that will be added between all fields.

Text delimiter

Text fields will be enclosed in this character.

When you are satisfied with the results, click the Finish button to start the export process.


Import from text file

To import data into the Arles database:

1. In the Arles Image Explorer select Database menu > Administration > Import from Text File.
2. Follow the instructions of the Database Import wizard.
3. Click Finish.

Wizard options

Step 1: What do you want to import?

Select Images data if you want to import image titles and other image information. Select Folders data if you want to import folder titles.

Step 2: Select import file

Select the import file.

Field delimiter

Delimiter between the import fields.

Text delimiter

Text fields are enclosed in this character.

Step 3: Select column types and records

The grid will show the data from import file. If all data is shown in the first column, you probably selected the wrong field delimiter. In that case click the Back button and select the correct field delimiter.

Start from row

Indicates at which row the data starts. If the first column contains the field name select Start from row 1.

Select columns

For each column select the field from the drop down boxes. You should at least select a Filename column. Without a filename Arles does not know

Select rows

Select the checkbox for each data row that you want to import.

When you are satisfied with the results, click the Finish button to start the import process.


Changing the database location

To change the location of the Arles Images Database:

1. In the Arles Image Explorer select Database menu > Administration > Change Location.

Note

The database folder needs have read and write permissions for all users.


Keyboard Shortcuts

Image Explorer shortcuts

Image Viewer shortcuts

IPTC Window shortcuts

JPEG window shortcuts


Image Explorer

The following shortcuts can be used in the Image Explorer window.

Shortcut | Action
Ctrl + A | Select all images
Ctrl + B | Show/Hide Folder Bookmarks panel
Ctrl + D | Bookmark current folder
Ctrl + E | Show image EXIF information
Ctrl + I | Show image IPTC information
Ctrl + J | Show JPEG comment window
Ctrl + K | Select Filter box
Ctrl + L or [ | Rotate image 90° left
Ctrl + P | Show/Hide image preview panel
Ctrl + R or ] | Rotate image 90° right
Ctrl + U | Select parent folder (Go one level up)
Ctrl + W | Close window
Left or Up | Select previous image
Right or Down | Select next image
Home | Select first image
End | Select last image
PageUp | Scroll one page up
PageDown | Scroll one page down
Delete | Delete image
Return | Execute default action
F2 | Rename file
F3 | Open Web Page Creator window
F4 | Show/Hide subfolders
F5 | Refresh view
F6 | Rename files tool
F7 | Define thumbnail and image crop areas
F8 | Email image
F10 | Take screenshot
F11 | Show image in viewer
Mouse click | Select image
Ctrl + Mouse click | Add image to selection
Shift + Mouse click | Select range of image. The selection starts at the focused item, which is marked by a dotted rectangle around the filename.
Shift + Ctrl + Mouse click | Add range of images to the selection.
Mouse Drag and Drop | Sort images or folders manually
Mouse wheel | Scroll one row
Ctrl + Mouse wheel | Scroll one page
Shift + Mouse wheel | Select next/previous image
Alt + Left or Alt + Down or Alt + PageDown | Select previous image. Works also when editing titles.
Alt + Right or Alt + Up or Alt + PageUp | Select next image. Works also when editing titles.
Alt + Home | Select first image. Works also when editing titles.
Alt + End | Select last image. Works also when editing titles.
Ctrl + Alt + Up | Select the previous folder in the folders treeview
Ctrl + Alt + Down | Select the next folder in the folders treeview
Ctrl + Alt + Right | Expand the current folder in the folders treeview
Ctrl + Alt + Left | Collapse the current folder in the folders treeview


Image Viewer

The following shortcuts can be used in the Image Viewer window.

Shortcut | Action
0 or Numpad * or * | Zoom to fit
1 or Numpad / or / | Zoom 100%
2 | Zoom 200%
3 | Zoom 300%
4 | Zoom 400%
5 | Zoom 50%
+ or Numpad + or Ctrl + Left mouse | Zoom in
- or Numpad - Alt + Left mouse | Zoom out
Del | Delete image file
Esc or Ctrl + W | Close window
F8 | Mark image checkbox
F10 | Move image viewer to next monitor. This only works if you have two monitors attached to your computer.
F11 | Change to/from full screen mode
Left or Up | Scroll image if scrollbars are visible. Otherwise select previous image.
Page Down or Spacebar or Return | Select next image
Page Up | Select previous image
Right or Down | Scroll image if scrollbars are visible. Otherwise select next image.
Ctrl + Left or Ctrl + Up or Ctrl + Right or Ctrl + Down | Scroll fast if scrollbars are visible.
Shift + Left or Shift + Up or Shift + Right or Shift + Down | Scroll 1 pixel at a time if scrollbars are visible.
Ctrl + I | Show/Hide image information panel
Ctrl + L or [ | Rotate image 90° left
Ctrl + R or ] | Rotate image 90° right
Alt + Left or Alt + Down or Alt + PageDown | Select previous image. This shortcut is especially handy in the title areas where the arrow keys don't work.
Alt + Right or Alt + Up or Alt + PageUp | Select next image
Alt + Home | Select first image. Works also when editing titles.
Alt + End | Select last image. Works also when editing titles.
Mouse click and drag | Move image (if scrollbars are not visible) Zoom on area (if scrollbars are not visible or when holding shift)
Mouse wheel | Zoom image
Shift + Mouse wheel | Select next/previous image


IPTC Window

The following shortcuts can be used in the IPTC window.

Shortcut | Action
Alt + Left or Alt + Down or Alt + PageDown | Select previous image
Alt + Right or Alt + Up or Alt + PageUp | Select next image


Jpeg Comment Window

The following shortcuts can be used in the Jpeg Comment window.

Shortcut | Action
Alt + Left or Alt + Down or Alt + PageDown | Select previous image
Alt + Right or Alt + Up or Alt + PageUp | Select next image


Arles Image Web Page Creator

In the Image Explorer is your main window, click the Web Pages button on the toolbar to open the Arles Image Web Page Creator window.

Getting started

Getting started tutorial on how to create an image webpage gallery.

Files Tab

Setting file name and folder options.

Thumbnails Tab

Setting thumbnail options.

Images Tab

Setting image options.

Index Page Tab

Setting thumbnail index page options.

Image Pages Tab

Setting image pages options.

Titles Tab

Setting thumbnail, image and page title options.

Publish Files

Publish the generated image galleries.

HTML Templates

Using Arles HTML templates.


Files Tab

Quick start...

 Top Previous Next

File locations

Source folder

Location of the original image files.

Target folder

The target folder is where all files generated by Arles will be saved. The contents of this folder is what needs to be published to your server.

Arles never overwrites original image files, which is why you cannot modify images if the source folder is the same as the target folder. The following Target folder types are available:

Subfolder | All generated files will be put in a subfolder of the source folder. For example, if you specified "arles_gallery" as subfolder and your images are in "C:\Images", the generated files will be saved in "C:\Images\arles_gallery\".
Same as source folder | Arles will save all generated files in the same folder as the original images. With this setting your original images will get mixed with files generated by Arles. This often makes things more difficult to organize, which is why we don't recommend this setting.
Other | All gallery files will be put in the defined target folder.

Overwrite thumbnails and images

You can select to recreate all thumbnails and images or to only create them for new and modified images.

Ask me

A dialog asking for overwrite confirmation will be shown every time thumbnails are created or images are modified.

Overwrite all

Recreates all thumbnails and generated images. You have to use Overwrite all if you changed any thumbnail or image option, like thumbnail width or the image border style.

New and modified only

Creates thumbnails and images for new or modified images only. Use this option if you did not change any settings for your gallery, but just want to add new images.

This option is faster than Overwrite all, but keep in mind that you have to use Overwrite all if you changed any thumbnail or image options. If you don't do so you won't see the changes.

Add subcategories

Select to create a subcategories section at the top of your index page which will link to subfolders containing images. Subcategories are only created if you use the multi-folder processing tool.

Advanced options

Click the Advanced button to set advanced file location options.


Advanced Files Options

In the Advanced Files Options window you can specify how the files generated by Arles will be named and in which folder they should be stored.

File Names...

Folders...


File Names Options

The File Names tab in the Advanced Files Options window allows you to specify where the files generated by Arles should be stored.

Thumbnails

The generated thumbnails files have a different name than the original images to prevent overwriting. A Prefix and a Suffix can be added to the thumbnail file name. The thumbnail file name is constructed as follows: "<Prefix>ImageFileName<Suffix>.Extension".

Images

By default images have the same name as the original images. You can select to add a prefix or suffix.

Index pages

The HTML index file name is composed of the file name and the file extension. Selecting "index" for the file name and "html" for the default extension results in "index.html" for the index file name. The second index page will be name "index2.html". The file extension can be either selected from the drop down list or typed directly in the edit box.

Image pages

The HTML image file names are composed of the file name and the file extension. Selecting "imagepage" for the image file name and "html" for the file extension, results in "imagepage.html" for the first image file name. The file extension can be either selected from the drop down list or typed directly in the edit box. Select the Image file name option if you want to name the image pages after the original image files.

Tip: You can select a default HTML file extension in the Environment Options.


Folder Options

The Folders options tab in the Advanced Files Options window allows you to specify where the files generated by Arles should be stored.

Folder names

Thumbnails folder

Folder containing thumbnails images generated by Arles.

Image pages folder

Folder containing HTML image pages generated by Arles.

Images folder

Folder containing images copied or modified by Arles.

Original images folder

Folder containing copied original images. This folder is only created if you link the thumbnails or images to the original images.

Navigation and background images folder

Folder containing navigation and background images, which are used on the HTML pages.

Stylesheets folder

Location of stylesheet files (*.css).

Options

Target folder

Places the image files in the target folder.

Subfolder

Places the image files in a subfolder of the target folder. Specify the subfolder name in the edit field.

You can specify multi-level subfolders by using slashes (e.g. "imagepages/images"). Relative paths (e.g. "../../arlesimages") are also allowed. Relative paths are always in reference to the source folder. If you want a fixed path use the User Defined option.

For the navigation images the subfolder is always with reference to the index pages. For image pages the path is automatically corrected, to make sure there are no duplicate folders.

User defined

For experienced users only!

The user defined option allows you to specify what you want to be placed in front of each file name. It is mostly used to specify a custom path.

You can use User Defined location if you have several image galleries on your web server and want them to share the same navigation images to avoid duplicate images. You can do this by setting the Navigation and background images to User Defined. Next set the User defined path to:

http://www.yourdomain.com/navigation_images/

Don't forget the trailing slash or the path will be broken. Arles will now create galleries with navigation images like this:

<img src="http://www.yourdomain.com/navigation_images/first.png">

You will have to place the correct images in the navigation_images folder yourself.

Arles will not create files if you set the location type to User Defined. Therefore, depending on what locations you set to User Defined, some parts of the generated gallery will be broken when you click the Show Results button. You have to make sure that you place required files in the right location on the web server to make things work.

When using User Defined for the images, you can also not use title tags that contain information about created images. For example, you can not use file size title tag. As Arles does not create the images, it also does not know the size of the created images.

Folder tags

Two folder tags can be used in subfolder or user-defined folders. Both are for advanced users only and are used in combination with the multi-folder processing feature.

<FolderName>

This tag will be replaced with the source folder name. If the processed folder is "c:\images\holidays\2005\greece", it will replace the <FolderName> tag with "greece".

<PathFromRootFolder>

This tag only works when multi-folder processing and inserts path from the root folder to the source folder.

If your root folder is "c:\images" and you are processing "c:\images\holidays\2005\greece", it will replace the <PathFromRootFolder> tag with "/holidays/2005/greece". This feature is especially helpful if your images are hosted in another location than your galleries.

Stylesheet options

Embedded

Style information is embedded in the <head> section of the index and image pages. Select this option if you don't want separate style sheet files.

HTML folders

The style sheet files will be placed in the same folder as the index page or image pages.

User defined

For experienced users only!

The user defined option allows you to specify what you want to be place in front of each file name. You can use it to specify a custom path for the stylesheet location. For example, if you set the user defined path to:

http://www.yourdomain.com/stylesheets/

Arles will add the following link in the <head> section of the generated html pages:

<link rel="stylesheet" TYPE="text/css" HREF="http://www.yourdomain.com/stylesheets/index.css">

With the User Defined stylesheet locations, no stylesheets will be created. You will have to create and put the stylesheet are the correct location yourself.

None

For experienced users only! No stylesheets and links to stylesheets will be created. The class names will still be available, which allows you to edit and link your own stylesheets.


Thumbnails Tab

Size

Use the Height and Width boxes to set the height and width of the thumbnails.

Select the Lock aspect ratio option to lock the aspect ratio between height and width. This will prevent image distortion. When locking the aspect ratio the thumbnails will in most cases fit either the specified height or width.

Clear the Lock aspect ratio option to make thumbnails exactly fit the specified height and width. This might add some distortion, depending on how much the aspect ratio of the original images differs from the specified thumbnail aspect ratio.

Select Crop image to fit height and width to crop an image to fit exactly the specified thumbnail size without image distortion. This option might trim edges of the original image, depending on how much the aspect ratio of the original images differs from the specified thumbnail aspect ratio.

Border

Click the Options button to open the Thumbnail and Image Border Options window. You can specify several different borders styles (e.g. standard, 3D, button, etc.).

Advanced options

Click the Advanced button to set advanced images properties.


Thumbnail and Image Borders Options

To add borders to your thumbnails:

1. In the main window select the Thumbnails tab.
2. Click the Border Options button.
3. Select a border type.
4. Recreate your gallery by clicking the All or Thumbnails button in the main window.

To add borders to your images:

1. In the main window select the Images tab.
2. Click the Border Options button.
3. Select a border type.
4. Recreate your gallery by clicking the All or Images button in the main window.

Presets

You can select any of the predefined border styles from the presets drop down list. Click the Save as or Delete buttons to add or delete presets.

Border style

[None] | No border.
3D bevel | 3D bevel type. Color can not be set for this border type.
Button | Button type border.
Drop shadow | Adds a shadow to the image. Drop shadows do not work if background images are specified for the page or table.
Image overlay | An image overlay file is used for the border. See below for information on how to add your own image border files to Arles.
Inverted button | Button type border with reversed color gradient.
Mask | Uses an image mask or overlay to create special effects borders like ragged or eroded edges. See below for information on how to add you own mask files to Arles.
Multi border | Combines all other borders. You can, for example, combine a 3D bevel border with a drop shadow.
Solid | Simple single color border. Set the transparency to create a simple transparent border.

Settings

Width | Width of border.
Transparency | Transparency of border. Set to zero for an opaque border. Select hundred for a fully transparent border.
Color | Border color.
Blur Width | Controls the blur of the drop shadow edges. The shadow will soften with higher blur values.
Use page background color | The background color of the index or image pages is used as drop shadow background color.
Background color | Drop shadow background color.
Symmetric border | For drop shadows only. Select to have borders on all sides of the image, not only on the drop shadow sides. Works best in combination with a background color.

You can set HTML borders for the thumbnails and images on the advanced index page option window and advanced image pages options window.

Image overlay files

To add your own image borders to Arles, create a border in your favorite image editor. The parts that you want to be shown in the gallery page background color must be transparent.

Save it as a PNG file. (Arles only accepts PNG for image border files). Then copy the file to the border images subfolder of the Arles folder, which is generally located at:

C:\Program Files\Digital Dutch\Arles Image Web Page Creator\border images\

The file will now show up automatically in the Image border options.

Mask files

To add your own mask files to Arles, create a mask in your image editor. The black parts in the mask file will show the image, the white areas are be fully transparent and will get the gallery page background color. Gray colors areas are semi-transparent.

Save the mask file it as a PNG file. (Arles only accepts PNG for mask files). Then copy the file to the border masks subfolder of the Arles folder, which is generally located at:

C:\Program Files\Digital Dutch\Arles Image Web Page Creator\Masks\

The file will now show up automatically in the mask options.


Advanced Thumbnail Options

Image processing

Resize method

Select the resize method. Lanczos or Mitchell generally give the best results. Select "Only reduce thumbnails" to leave images smaller than the specified width and height unmodified.

Filter

Select the image filter to be applied to thumbnails. Thumbnails sometimes look a bit blurry after they are resized. This can be corrected by selecting a Sharpen filter. Select "Apply to resized thumbnails only" if you want to apply the selected filter only if a thumbnail has been resized.

Save

File save format

Select the default format that Arles uses to save thumbnails.

JPEG or PNG? ...

JPEG image quality

Use the slider to select the image quality of generated JPEG images. Better quality also means larger file size.

Generally, values between 70 and 90 are a good trade off between high quality thumbnails and reasonable file sizes. Select 70 if you want the smallest file size with acceptable image quality. Select 90 for good quality images with acceptable file sizes.

If you are working on a CRT monitor, keep in mind that TFT monitors show image artifacts of low quality JPEGs sooner than CRT monitors. One other thing to keep in mind is that due to the nature of JPEG compression, blurry images compress better than sharp ones. If very small file sizes are critical, turn off the sharpen filter or select Mitchell resize method instead of Lanczos 3.

Tip

For top quality lossless images, select PNG images as default output graphic format.

Subcategories

Set options for subcategory thumbnails. You can switch on subcategory generation on the File Locations tab.

Subcategory thumbnail size

Sets the subcategory thumbnail size. Select "Same as other thumbnails" if you want any subcategory thumbnails to be the same size as the standard thumbnails.


Images Tab

Resize

Your original images can be resized using the same resampling technique as for creating the thumbnails. Download times are reduced when smaller images are made available. Also, resizing an image collection of different sizes to one standard size creates a more balanced and professional looking site.

The aspect ratio will automatically be maintained. The height and width values are therefore maximum values. To prevent overwriting of original images, resizing will not work when the source and target folders are identical.

As an alternative for the image resize option, size information can be added to the HTML text in the advanced image page window.

To prevent overwriting of original images, the Resize option will not work when the source and target folders are identical.

Border

Click the Options button to open the Thumbnail and Image Border Options window. You can specify several different borders styles (e.g. standard, 3D, button, etc.).

Add text

Select Add text to automatically add text labels to all your images. Click the Options button to set the text style.

To prevent overwriting of original images, the Add image text option will not work when the source and target folders are identical.

Add logo

Select Add image logo to add your image logo to all your images. Click Options to open the Image Logo Options window.

To prevent overwriting of original images, the Add image logo option will not work when the source and target folders are identical.

Location

The destination images location can be set on the Advanced File Locations Page.


Image Text Options

To add text to your images

1. In the main window select the Images tab.
2. Select Add text.
3. Click the Text Options button.
4. Type the text to show on your images on the Text edit box.
5. Recreate your gallery by clicking the All or Images button in the main window.

Adding a text label or logo to your images makes copying of your images from your web site much less useful. Physically changing your images is the only way to protect your images against illegal copying.

Presets

You can select any of the predefined text styles from the presets drop down list. Click the Save As or Delete buttons to add or delete presets.

Options

Title tags

Right click the Text edit box to insert title tags. Title tags allow adding image information and image titles in the image text. While the example image will still show the tag, Arles will replace them with the relevant information when creating the image gallery.

The file size title tag can not be used, because the image file size can not be determined while the image is still being created.

Position

Select the preferred position from the Type drop down box. You can also position the text by clicking with your mouse in the example image.

Clicking in the image will set the X and Y offset values. These values are always with reference to the position type. For example, if you selected the right bottom position in the Type drop down box. then right bottom position will also be the zero reference position.

Font

Set the image font type by clicking the font browse button.

Anti-aliasing smoothes the edges of the fonts to make them more readable. Anti-aliasing only works with Windows NT/2000/XP or better.

Text background

Adding a background generally makes the image text more readable. Select Full Width if you want the background displayed over the complete image width. Selecting Rounded will create a rounded rectangle.

A border can be specified by setting the Border Width. Select zero if you do not want the border to show. The Horizontal Margin is the margin inside the background box. Set the horizontal and vertical margins to increase or decrease the background.

Transparency

Set the transparency of the text on the image. The Background only option allows setting a transparent background in combination with opaque text.

Watermark

Select watermark to let the text appear as a 3D watermark in the images. Select Reversed to switch the 3D effect from in to out.

Tip

The best watermarks are created with high contrast colors (e.g. black and white).


Image Logo Options

To add a logo to your images:

1. In the main window select the Images tab.
2. Select Add image logo.
3. Click the logo Options button.
4. Select the Image logo file.
5. Recreate your gallery by clicking the All or Images button in the main window.

Adding a text label or logo to your images makes copying of your images from your web site much less useful. Physically changing your images is the only way to protect your images against illegal copying.

Options

Position

Select the preferred position from the Type drop down box. You can also position the logo by clicking with your mouse in the example image.

Clicking in the image will set the X and Y offset values. These values are always with reference to the position type. For example, if you selected the right bottom position in the Type drop down box. then right bottom position will also be the zero reference position.

Transparency

Set the transparency of the logo on the image.

Watermark

Select watermark to embed your logo as a 3D watermark in the images. Select Reversed to switch the 3D effect from in to out. The best watermarks are created with high contrast areas.

Tip

Create a high contrast black and white or grayscale version of your logo for the best watermark results.


Advanced Image Options

Image processing

Resize method

Select the resize method. Lanczos or Mitchell generally give the best results. Select "Only reduce images" to leave images smaller than the specified width and height unmodified.

Filter

Select the image filter to be applied to the images. Images that are resized to small sizes like 100 or 200 pixels sometimes look a bit blurry. This can be corrected by selecting a Sharpen filter. Select "Apply to resized images only" if you want to apply the selected filter only if an image has been resized.

Save

File save format

Select the default format that Arles uses to save images.

JPEG or PNG? ...

To prevent quality loss, GIF and JPEG images will only be copied and not converted if they are not modified.

Select the "Always save images" option to force Arles to always save images, even when no image processing like resize is specified. Use this if you want to save JPEG images with a new quality level without doing any other image processing. It also comes handy if you want to save your JPEGs as PNG images or PNGs as JPEGs.

JPEG images can contain EXIF, IPTC and commentinformation inside the image file. Select Maintain JPEG EXIF, IPTC and comment information if you want this information to be copied to the modified images.

JPEG image quality

Use the slider to select the image quality of generated JPEG images. Better quality also means larger file size.

Generally, values between 70 and 90 are a good trade off between high quality images and reasonable file sizes. Select 70 if you want the smallest file size with acceptable image quality. Select 90 for good quality images with acceptable file sizes.

If you are working on a CRT monitor, keep in mind that LCD monitors show image artifacts of low quality JPEGs sooner than CRT monitors. One other thing to keep in mind is that due to the nature of JPEG compression, blurry images compress better than sharp ones. If very small file sizes are critical, turn off the sharpen filter or select Mitchell resize method instead of Lanczos 3.

Tip

For top quality lossless images, select PNG images as default output graphic format.


Index Page Tab

Index table

Set the columns and rows to define the thumbnail table format.

Multiple index pages, including navigation links, will be created if there are more images in the source folder than would fit on one page. For example, if you specify 2 rows and 2 columns, multiple index pages will be generated if there are 5 or more images in the source folder. You can force all images on one single index page by selecting the Single page option. This will override the rows option.

Cell padding is the space inside each table cell. Cell spacing is the space between the table cells. Set the border width to zero to make the table borders disappear.

Set the border option to 0 (zero) to remove table borders.

Gallery style

Select the style from the pull down box to set the gallery style.

Standard

The thumbnail index page will link to separate image pages.

Index frame left

Thumbnails will be shown on the left of the images.

Index frame right

Thumbnails will be shown on the right of the images.

Index frame top

Thumbnails will be shown above the images.

Index frame bottom

Thumbnails will be shown below the images.

Click the Options button to set gallery style options.

Navigation links

The navigation links are only used when multiple index pages are created.

Click the Top and/or Bottom option to select the position of the navigation links. Click the Options... button to modify the navigation links.

HTML Design

Click the HTML Design button to set the HTML page properties like colors, background image, etc.

Advanced options

Click the Advanced button to set the advanced index page properties.


Gallery Style Options

Use this window to set options for gallery styles using frames.

Index frame file name

The index frame file name is composed of a file name prefix and an extension. Selecting "myfilename" for the file name prefix and "htm" for the default extension results in "myfilename.htm" for the index frame file name. You can also set filenames for the main index file and the image files. The default HTML file extension can be set in the Environment Options. The main page name can be set in the Advanced Index page options window.

Frame margins

The margin width and margin height are the space inside each frame. Use this option to prevent the contents of the HTML page to be place directly against the side of the Browser window.

Border

Set the frame border (between the index and image pages) by selecting the type from the pull down list box.

Auto synchronize thumbnails with images

Select this option to automatically scroll the related thumbnail in view when a new image page is loaded.

Index frame sizes

The size of left, right, top and bottom thumbnail index frames can be automatically calculated by Arles Image Web Page Creator. Unselect Auto to set the index frame height and width yourself.

Index frame scrolling

With auto scroll selected the thumbnail row will automatically scroll through all thumbnails. You can set the scrolling speed and decide if you want to stop the scroll effect when hovering with the cursor above the index frame.


Navigation Options

In the navigation options window you customize the looks of the navigation links on the generated gallery pages.

Presets

Select a preset to use any of the predefined navigation styles from the drop-down list. You can save your own navigation settings as a preset by clicking the Save as button. Click Delete to remove a preset.

Tip

Hold the Ctrl button when clicking the Save button to save the current preset with the same name.

General

Text label

Specifies the text label of navigation item. If a button image is selected for the navigation item, the text label will be used as alternate text (alt) for the image.

Button image

Set this field to use a button image instead of text for the navigation link. Arles Image Web Page Creator contains many ready to use images in the buttons folder. Click the browse button to select a navigation image.

Link

The link field is only used for the Home navigation item. Use this item to include a link to your home page (e.g. http://www.digitaldutch.com/arles).

Target

Set target to _top if you want to break out of any frames when clicking the Home navigation button or link. Select _blank if you want to open your home page in a new window.

When generating HTML the navigation image will be copied to a sub-folder of the target folder. You can set the sub-folder name in the Advanced File Locations window.

Note, that Arles removes any unnecessary links. For example, the first index page will not contain the First navigation link.

Index page tab

Select the checkboxes of each navigation item you want to include in your galleries.

Navigation bar

Creates a navigation bar for multi-level galleries. This option is mostly used in combination with the multi-folder processing tool. The multi-folder root folder is also the top level for the navigation bar.

Home

Link to your home page. Use the link field to specify the location.

Up

Go one level up. This option is mostly used in combination with the multi-folder processing tool. The Up item is not shown on the top level, which is the root folder as specified in the multi-folder processing window.

First

Link to the first index page.

Previous

Link to previous index page.

Next

Link to next index page.

Last

Link to last index page.

Quick list

Drop down box containing quick links to all other index pages.

Index

Current index page number text (e.g. "Index 3").

Of

'Total number of index pages available (e.g. "of 10").

Image pages tab

Select the checkboxes of each navigation item you want to include in your galleries.

Navigation bar

Creates a navigation bar for multi-level galleries. This option is mostly used in combination with the multi-folder processing tool. The multi-folder root folder is also the top level for the navigation bar.

Slideshow Start/Stop

Adds a slideshow start/stop button. You must also enable the slideshow on the Image Pages tab for the button to show up.

Home

Link to your home page. Use the link field to specify the location.

Index

Link to index page.

First

Link to first image.

Previous

Link to previous image.

Next

Link to next image.

Last

Link to last image.

Quick list

Drop down box containing quick links to all other images in the gallery.

Image

Current image number text (e.g. "Image 3").

Of

Total number of images available (e.g. "of 10").

Accessibility

Select Enable shortcut keys to enable navigating generated galleries with keyboard shortcuts. Shortcuts have a few disadvantages though, especially in the Internet Explorer.

Firefox browser

In the Mozilla Firefox web browser shortcuts work as expected. Selecting a shortcut will directly perform the required action. For example, clicking Alt+N will load the next image page in the browser.

Internet Explorer

In Microsoft Internet Explorer shortcuts only select the navigation item in question. You always have to click the Return key to perform the action. For example, clicking Alt+N will select the Next link. You must click the Return key to actually load the next image page. Similarly to go to the previous page, click Alt+P and then Return.

Note

Gallery shortcut keys will override browser shortcut keys. For example, in the English version of Internet Explorer the Alt+F key combination normally opens the File menu . If you decide to use the Alt+F shortcut in your gallery then the original Internet Explorer File menu shortcut will no longer work. Therefore be careful which keys you specify, as some visitors of your pages may not like this behavior.

Options

Disabled buttons

Arles disables navigation buttons when they have no function. For example, the First button is disabled on the first image page.

Select Hide if you want hide buttons which are disabled. Select Replace with spacer to replace disabled buttons with a similar sized space. This will lock the button better in its place on the web page and prevent "jumping" buttons which some users find awkward.

Navigation layout

Select Use table to add a HTML table structure around the navigation links. The table structure is required to set the spacing between the navigation items. Uncheck the Use table option to enable wrapping of the navigation links in smaller browser windows.


HTML Design Options

The HTML Design window allows you to set the design of the generated index and image pages.

To open the HTML Design window:

· In the Arles Image Web Page Creator window select the Index Page tab or Image Pages tab.
· Click the HTML Design button.

Layout

On the layout tab you can set the default colors and background image for the generated webpages. Title fonts can be set in the Font and Style Options window.

Banners

To add a banner:

· Select the Top or Bottom checkboxes to add a banner to the generated webpages.
· Select image you want to use for your banner in the Image box.
· Set the link of your banner to a fully valid website link like http://www.digitaldutch.com. Make sure you add the "http://" part if you want the banner to work on any webserver.
· The Alt text is the text which appears when the banner is not yet fully loaded and as a tooltip.

Custom HTML

Custom HTML allows you to add your own HTML code to the generated webpages. The custom HTML at the top of the page will be located directly below the top banner. The custom HTML at the bottom of the page will be located directly above the bottom banner.

Use HTML added to page <head> section to insert all code you want to include into the page head section. This option comes in handy for advanced users who want to add their own JavaScripts or META tags.

Image pages

By default the image pages have same design as index page(s). Uncheck Image pages have same design as index page(s) to specify a different design for the image pages.

For Image Pages you can use title tags in the Custom HTML code to add specific image information like . Right click the Image Pages Custom HTML memo fields to insert title tags.

Tip

Use templates for maximum control over the HTML page design.


Advanced Index Page Options

To open the Advanced Index Page Options window, in the Arles Image Web Page Creator select the Index Page tab and click the Advanced button.

Advanced Index Page Options

General

Set general options.

Thumbnail Table

Set thumbnail table options.

Thumbnail Links

Set thumbnail links options.

Popups

Set popup options.

Labels

Set labels.


General

Page layout

Page alignment

Sets the horizontal alignment of the index page.

Thumbnail HTML Border

Set the Thumbnail HTML Border to specify a HTML border width for the thumbnails. It is recommended to use Image Borders instead. Image Borders create borders directly in the images and allow special effects like 3D and button style borders. You can specify Image Borders in the Thumbnail and Image Borders Window.

Due to HTML limitations the color of the HTML border will be same as the selected HTML Text Color. The Text Color can be set in the HTML Design Options Window.

Add link to Arles Web Site

Uncheck "Add link to Arles Web Site" to remove the Arles Web Site link from your index page(s). This option can only be disabled in the registered Arles version.

Tip

You can disable the Arles links for all galleries in the environment options.

Options

Automatically launch from CD (CD Autorun)

Select if you want to create an image gallery that is automatically launched from a CD. Arles will add two files (autorun.inf and arlesrun.exe) to the gallery target folder to enable this windows feature.

Online Print Service

Arles can automatically add links to online print services like Shutterfly.com (United States) and Photocolor.ch (Germany and Switzerland). Click the Options button to set online print service options. Note, that this feature is still experimental, so we cannot warrant that this function is error free or meets your requirements.


Thumbnail Table

Table options

Flat border

Standard HTML tables have a 3D look. Select this option to get a flat table border look. Note, that flat borders do not always work well together with table and page background images and complex table background color patterns. You may have to choose between the both of them.

Table width

Specify a fixed (eg 600) or relative (eg 90%) width for the thumbnail table.

Cell options

All cells have same width

Select if all cells in the thumbnail table should have the same width. Arles will automatically calculate and set the width for all columns.

Width

Thumbnail table cell width.

Height

Thumbnail table cell height.

Horizontal alignment

Thumbnail table cell alignment

Vertical alignment

Thumbnail table cell vertical alignment. Set this option to Top if you have long titles and want to align all thumbnails to the top of the thumbnail table cells.

Table design

Color pattern

Set a background color of a background image for the index table. Create horizontal stripes or checked color effects by selecting a pattern and a second table color.

Background image

Thumbnail table background image.


Thumbnail Links

Links

Link what?

Select which part of the thumbnail should be linked.

Link to

Specifies where the thumbnails are linked to.

[None] | No thumbnail links will be created. Select this option if you don't need Image Pages and just use the Index Page to publish your gallery.
Image pages | Default option. A Image Page is created for each image. This page can contain navigation items or any other options you specify on the Image Pages Tab.
Image pages (popup) | The images are shown in a popup windows. When selected a Popup tab will appear that allows you to set all popup options.
Images | Links directly to the modified images. No Image Pages are created.
Images (popup) | The images are shown in a popup window. No Image Pages are created. When selected a Popup tab will appear that allows you to set all popup options.
Original images | Images will only be copied, not modified. The thumbnails will link directly to these original images. For example, for a TIFF image the link will be directly to this TIFF image.
Custom link | Links to the URL specified in the custom link field. You can insert image links and titles in this field by using <FileLink>, <FileTitle1>, <FileTitle2>, <FileName> or any other title tags. Click the drop down button to select tags. Image links and titles can be set in the Arles Image Explorer.

Link Target

Select a Thumbnail Link Target if you want to add a HTML target attribute to the thumbnail link tag.

Link non-images, like movies, always to the original files

Select if you want the thumbnails of non-images to be linked directly to the original files. For example, a thumbnail for a movie will be linked to the movie file and a thumbnail for a URL file will be directly open the Internet Page defined in the URL.

See also:

· How to create a gallery from movies?
· How to create galleries of web pages?


Popups

The image pages or images can be shown in a popup window if you set the link thumbnails to to Image pages (popup) or Images (popup). The Popups tab will only be visible if you select on of these two options.

Size

Auto

Arles will estimate the optimal size for the popup window. This will work fine generally, but sometimes you will have to set the width and height manually.

Fixed

Select if you want to set the popup window width and height manually.

Full screen

Arles will show the popup window in full screen view. Note that some visitors may not allow your website to resize the browser to full screen. In addition, this options can only be selected with the Image pages (popup) link type.

Close

Add close link

Select if you want Arles to add a close link to the popup window. Visitors can click this link to close the popup window.

Clicking the image closes the popup window

When selected, the visitor can click the image to close the popup window.

Close text

Text that will appear for the close link.

Close button image

Select a button image in this field if you prefer a close button instead of a close text. The Close text will be used as button tooltip.

Options

The following options can be set for popup windows:

Resizeable window

Makes the popup window resizeable.

Show statusbar

Adds the statusbar to the popup window.

Open each image in same window

Select if you want the same popup window to be used for each image. Unselect, if you want multiple popup windows to appear.

Show scrollbars

Adds scrollbars to the popup window if the popup contents does not fit completely in the popup window.

Show toolbar

Adds the toolbar to the popup window.


Labels

Labels

No images text

This text will be shown when a gallery has no images. It is mostly used in the multi-processing mode.


Image Pages Tab

HTML design

Select the custom option and click Edit... to set the HTML page properties (e.g. colors, background image) for the image pages manually.

Select the Template option to obtain full control over the web page HTML design. Click the Browse button to open the template window.

Navigation links

Check the Top and/or Bottom options to add navigation links to the image pages. Click the Options... button to modify the navigation links.

Slideshow

Select Add slideshow to automatically browse through your image pages. Click Options to open the Slideshow Options window.

Advanced options

Click the Advanced button to set the advanced image pages properties.


Slideshow Options

This window allows you to set all slideshow options. A slideshow allows you to automatically load the next image after a predefined delay time.

Delay

The delay specifies after how many seconds the next page will automatically load.

At end

Select the At end action to specify what happens after the last image has been loaded.

Go to index page

The index page will be loaded after the last image.

Restart

The first image will be loaded after the last image.

Stop

The slideshow will stop at the last image.

Add Start/Stop button

To allow users of your slideshow to temporary stop and restart an image gallery, add a Start/Stop button. You can specify button properties in the Navigation Options window.

Status bar messages

The time remaining until the next image is loaded can be shown in the status bar of the Browser window. The text fields allow you to modify all parts of the slideshow status bar messages.

Technical information

For several advanced slideshow features like the Start/Stop button and status bar messages JavaScript will be added to the generated HTML pages. Simple galleries will be created by adding a META refresh tag to the HTML page headers.

Tip

To automatically start the slideshow on your web site, link directly to the first image page instead of the index page.


Advanced Image Pages Options

To open the Advanced Image Pages Options window, in the Arles Image Web Page Creator select the Image Pages tab and click the Advanced button.

Advanced Image Pages Options

General Tab

Set general options.

Image Links Tab

Set image link options.

Movies Tab

Set movie options.

Other Tab

Set Online Print Service options.


General Tab

Page layout

Page alignment

Sets the horizontal alignment of the image pages.

Image HTML border

Set the Image HTML Border to specify a HTML border width for the images. It is recommended to use Image Borders instead. Image Borders create borders directly in the images and allow special effects like 3D and button style borders. You can specify Image Borders in the Thumbnail and Image Borders Window.

Due to HTML limitations the color of the HTML border will be same as the selected HTML Text Color. The Text Color can be set in the HTML Design Options Window.

Add link to Arles Web Site

Uncheck "Add link to Arles Web Site" to remove the Arles Web Site link from your index pages. This option can only be disabled in the registered Arles version.

Tip

You can disable the Arles links for all galleries in the environment options.

Options

Preload next image

Select if you want the next image in the gallery to be loaded in the background while the visitor is looking at a image page. With this option the next page will load much faster as the image is already loaded. This feature is especially useful for people that visit your image gallery with a slow Internet connection.

Disable Internet Explorer image toolbar

Microsoft's Internet Explorer automatically shows a toolbar for large image that allows visitors to easily save or print the image. Select this option if you want to hide this toolbar.

Disable right clicking

Disables the right-click menu on the generated webpages. This feature can be used to protect your images from being easily saved. The Right click text will be shown in a dialog when a visitor right-clicks the image page.

This protection is quite weak and can be easily worked around by disabling JavaScript in the browser or taking a screenshot. We recommend to add some text or logo on the images themselves instead. You may also want to consider that many visitors use their right-click menu for other purposes and may be annoyed when they find out it does not work on your webpages.


Image Links Tab

Specifies where the images are linked to.

Link images to

Specified what happens if you click the image.

[None] | Default option. No image links are created.
Next image | Links the image to the next image. The last image links to the first image.
Index page | Links the image to the index page.
Original image | Links the image to the original image. Select this option if you want to show your images and provide visitors with the option to download the originals.
Close window | Clicking the image will close the window. This is especially handy when the image pages are popup windows.
Custom link | Links to the URL specified in the custom link field. See below.

Link target

Select a Image Link Target if you want to add a target argument to the image link tag.

Custom link

The Custom link field is only visible if the Link images to field is set to Custom link. You can insert image links and titles in this field by using <FileLink>, <FileTitle1>, <FileTitle2>, <FileName> or any other title tags. Click the drop down button to select tags. Image links and titles can be set in the Arles Image Explorer.

Link non-images, like movies, always to the original files

Select if you want the images of non-images to be linked directly to the original files. For example, a thumbnail for a movie will be linked to the movie file and a thumbnail for a URL file will be directly open the Internet Page defined in the URL.

This setting is ignored for movie files if you have embedded movies switched on.

See also:

How to create a gallery from movies?


Movies Tab

Embed movies

Embeds movies in the image webpage using the Windows Media Player embedded control. If not selected the poster frame will be shown instead, which may be preferable if you want to link the thumbnails or poster frame to the movie file.

Embedded player size

Size of the embedded player.

Embedded player options

Auto-start

When selected the movie starts playing as soon as the webpage is loaded. Without this setting the visitor needs to click the Play button on the embedded player first.

Show statusbar

Adds a statusbar to the embedded movie control.

Show controls

Add controls toolbar to embedded movie control.

Fit movie to player

When selected the movie will be scaled to the specified embedded control size. If not selected the movie will be shown at 100% if it is smaller than the embedded player.


Other Tab

Other

Online Print Service

Arles can automatically add links to online print services like Shutterfly.com (United States) and Photocolor.ch (Germany and Switzerland). Click the Options button to set online print service options. Note, that this feature is still experimental, so we cannot warrant that this function is error free or meets your requirements.

Image size information

Note: We do not recommend to use this option. Your images will show up in an inferior image quality. Use the Image Resize option on the Images Tab in the Main Window instead.

Arles automatically sets the width and height tags of images to make sure the generated gallery page loads faster. Select the Set Image Size Information checkbox to override the default image height and width. The Browser will rescale the image to the selected size.

However, web browsers resize images in an inferior way compared to Arles. Therefore we recommend not to use this option. This is option is available because some users find it convenient to set the width to 50% to make sure the image always fits in the browser window, even if this reduces the image quality. To maintain correct image proportions (aspect ratios), select either width or height, but not both. Did we mention that we don't recommend to use this option?


Titles Tab

Index page

Set the Gallery title field to create a title for the index pages. Add a "<FolderName>" tag to insert the source folder name into the gallery title. Add a "<FolderTitle>" tag to insert the folder title that you can set in the Arles Image Explorer.

To set thumbnail titles, select a title type and check the Above and/or Below options.

Image pages

To set image titles, select a title type and check the Above and/or Below options. The navigation quick list title is the title shown in the quick list drop down box in the navigation bar. The quick list will only appear if it is selected in the gallery navigation window.

Fonts

Click the Fonts button to set title font styles.

Advanced title options

Click the Advanced button to open the advanced title options window.

Tip

You can put titles directly in your images by selecting the Add text option on the Images tab.


Advanced Title Options

To set titles, select a title type on the left and type the title text in the "Type title" field. You can insert title tags by selecting them from the right side Tags area.

Index page titles

Gallery title

Title appearing on top of the index page. Add a "<FolderName>" tag to insert the source folder name into the gallery title.

Page caption

Text appearing in the caption of the Browser window when the index page is loaded.

Thumbnail table title

Title appearing above the thumbnails table.

Thumbnail title

Thumbnail titles. The position can be set with the locations listbox.

Thumbnail tooltip

The tooltip appears when you hover in your browsers over a thumbnail. Both the "alt" and "title" attributes are set.

Subcategories title

Title appearing above the subcategory thumbnails table.

Subcategory thumbnail title

Title appearing below or above the subcategory thumbnails. The position is the same as the thumbnail title position.

Subcategory thumbnail tooltip

The tooltip appears when you hover in your browsers over a subcategory thumbnail. Both the "alt" and "title" attributes are set.

Image pages titles

Page caption

Text appearing in the caption of the Browser window when an image page is loaded.

Image titles

Image titles. The position can be set with the locations listbox.

Image tooltip

Alternative text for image. This title appears when you hover with your cursor over an image in your Browser.

Navigation quicklist

Title appearing in the quick list navigation item on the index page.

Title tags

The titles support image and folder title tags.

Tips

· You can specify titles for each image in the Arles Image Explorer. Title tags can also be used in the Title 1 and Title 2 areas in the Image Explorer and in the custom HTML area for the Image Pages.
· You can use HTML in the title area, because the titles are copied into the generated HTML file.
· To modify date and time formats select Regional Options in the Windows Control Panel.
· Titles can also be added as text to your images by selecting the Add text option on the Images tab in the main window.


Font and Style Options

Use the Font and Style Options window to set the font types and sizes for all titles. You can set the default page font colors in the HTML Design window.

Open the window

To open the Font and Style Options window:

· In the Web Page Creator window select the Edit menu > Font and Style Options.

or

· In the Web Page Creator window select the Titles tab.
· Click the Fonts button.

Change a title font

To change a title font:

· Select the Title item on the left .
· Change the font style using the Font Type, size and color controls.


Image Title Tags

The following Arles title tags can be used in titles and other fields supporting image title tags:

Name | Tag | Description
File date (long format) | <FileDateLong> | Image file modification date (long date format)
File date (short format) | <FileDateShort> | Image file modification date (short date format)
File index | <FileIndex start=10 digits=2> | Index of file. The first file is 1. The second file 2, etc. A start attribute can be specified if you want the first image to start with a different number. The number of digits can be set to create leading zeros.
File link | <FileLink> | Image file link as specified in the Arles Image Explorer.
File name | <FileName> | Image file name
File name without extension | <FileNameNoExt> | Image file name without extension
File size | <FileSize> | Image file size
File time | <FileTime> | Image file modification time
File title 1 | <FileTitle1> | Image title1 as specified in the Arles Image Explorer.
File title 2 | <FileTitle2> | Image title2 as specified in the Arles Image Explorer.
Image bit depth | <ImageBitDepth> | Image bit depth. Number of bits used for each pixel in the image.
Image color type | <ImageColorType> | Image color type. Description of the image color type (e.g. "High color (24 bit)").
Image colors | <ImageColors> | Image colors. Color depth of image, telling you the maximum number of colors the image is capable of containing, not how many are actually in it.
Image EXIF information | <ImageExif> | Full list of EXIF information.
Image EXIF summary | <ImageExifSummary> | List of EXIF summary information as specified in the EXIF window.
Image EXIF date | <ImageExifDate> | EXIF date. Same as datetime field without the time.
Image EXIF tag | <ImageExif Tag="DateTime"> <ImageExif Tag="ExposureTime"> etc. | Single EXIF tag. The EXIF tag name has to be specified in the Tag attribute.
Image height | <ImageHeight> | Image height
Image IPTC information | <ImageIPTC> | List of Image IPTC information.
Image IPTC tag | <ImageIPTC Tag="Caption"> | Single IPTC tag. The IPTC tag name has to be specified in the Tag attribute.
Image JPEG comment | <ImageJPEGComment> | Jpeg comment.
Image page file name | <ImagePageFileName> | Image page file name.
Image width | <ImageWidth> | Image width.
Original file name | <OriginalFileName> | Name of original file.
Original file size | <OriginalFileSize> | Size of original file.
Original image height | <OriginalImageHeight> | Height of original image.
Original image width | <OriginalImageWidth> | Width of original image.

You can also use folder title tags in image titles.


Folder Title Tags

The following title tags can be used in titles and other fields supporting folder tags:

Name | Tag | Description
Arles file name | <ArlesFileName> | The file name of the Arles settings file.
Folder image count | <FolderImageCount> | Number of images inside the source folder. When used inside a subcategory thumbnail title it only works when multi-folder processing.
Folder total image count (including subfolders) | <FolderImageTotalCount> | Total number of images inside the source folder including subfolders. This tags only works when multi-folder processing.
Folder last modified date (long format) | <FolderDateLong> | Last modified date of source folder (long format)
Folder last modified date (short format) | <FolderDateShort> | Last modified date of source folder (short format)
Folder name | <FolderName> | Folder name. If the source folder is "C:\Images\Holidays\France", this tag will insert the name of the folder "France".
Folder title | <FolderTitle> | Folder title as specified in the Arles Image Explorer.
Folder title or name | <FolderTitleOrName> | Inserts the folder title or the folder name if no title has been specified.
Source folder | <SourceFolder> | Full source folder path as specified on the File Locations tab.
Target folder | <TargetFolder> | Full target folder path as specified on the File Locations tab.


Publish Files

For others to be able to see your gallery on the Internet, you have to upload all generated files to a web server. To open the Publish Files window in the Arles Image Web Page Creator window select the Tools menu > Publish Files.

Publish what?

Select what you want to publish to your web server.

Created Gallery

Publish all files of the current gallery. Subfolders are not included. If you want to upload multiple galleries use the "All Files in Folder" option.

All Files in Folder

All files in the selected local folder will be uploaded. Generally you want to set this to the Target folder as specified in the main window. Select Include subfolders if you also want to publish the files located in subfolders.

The All Files in Folder upload option is not limited to gallery files created by Arles. If you want you can upload your complete website with this option.

Publish where?

Select where you want to publish your gallery. Click the Edit button to set the publish location.

Actions

Publishing your files goes in three steps.

1. Find & Check

Click the "Find Check" button to find the files to be uploaded. Arles will also connect to your web server to check which files have been modified.

At this stage you can still check or uncheck files that you want or don't want to be uploaded. By default Arles selects only files that are modified, making the upload process much faster if only a few files have been modified. If you want to upload all files select all files (Ctrl+A) and select the File menu > Select Checkbox.

2. Publish

Click Publish Now to upload all selected files to the web server.

3. Show website

Click the Show Website button to view the uploaded gallery in the default Windows browser. You can specify the URL for show in the Publish Location window.

After you uploaded everything to your web server you can link from other Web pages to the generated image gallery by creating a link to the index file. The index file is named index.html by default, but it can be renamed in the Advanced Files Options window.

View

All Files

Shows all files.

Modified Files Only

Shows the modified files only.

View log

Shows the publish log. This can be handy for trouble shooting if uploading does not work as expected.

Options

Publish Location

Opens the Publish Location window.

Publish Options

Opens the Publish Options window.

Third party FTP tools

It is recommended to use the Arles Publish function. But if you prefer to use a third party FTP tool to upload your gallery, make sure you upload images in the binary mode. Uploading images in the ASCII mode, will often result in corrupted images.

All generated HTML pages and images are located in the target folder as specified on the File locations tab in the main window. The generated thumbnails are, by default, located in a subfolder named 'thumbnails'.

To publish the pages on an Internet server the complete contents of the Target folder contents (including the thumbnails subfolder) must be copied to the server.


Publish Location

Arles uses the FTP protocol to upload your gallery to your web server. Ask your Internet Service provider or your system administrator if you don't know what to put here.

Title

This is a user friendly name for the publish location settings specified in this window.

Presets

You can save and load the options in this window by using the preset box, save and delete buttons. This is handy if you publish multiple galleries to the same server.

FTP Server tab

FTP server

Name of the ftp server (eg ftp.yourdomain.com).

User name

The user name you use to login into the FTP server. Select Anonymous if your server does not require a login and password.

Password

FTP password required to login into the FTP server.

Remote folder

Remote folder on your server where you want the uploaded gallery to be placed (eg /home/yourname/www/gallery/ or gallery/). Your web host has generally provided you with a folder where you web site files should be placed to show up on the Internet. To make sure your default web pages are not overwritten, it is recommended to put the gallery in a subfolder or the main website folder.

URL for show

The Publish Files window contains a Show Website button which opens the uploaded gallery in a browser. You

Use passive FTP

Some firewalls don't allow active FTP. Select this option is you are having problems connecting through a firewall.

Proxy tab

Select this option if you connect to the Internet through a proxy server. Most people don't use this option.

Test

Click the Test button to check if Arles can connect to your FTP server.


Publish Options

Find & Compare Options

Mark files that should be deleted from server

By default Arles deletes old gallery files from your web server when they are no longer in use by the gallery. Unselect this option if you don't want files marked as "Delete from server" to be selected.

Publish Options

Number of simultaneous connections

Arles can upload multiple files at the same time. This options sets the number of parallel connections. Five (5) is generally a safe choice for maximum upload speed.

Some FTP servers do not like applications to initiate multiple connections. In your server is one of those, set the number of connections to one (1) and switch off the Keep Alive feature which also uses a parallel connection.

Timeout after no server response for 30 seconds

If a connection is broken Arles will keep trying to send data to the server for the time you specified here. After this timeout period an error will be shown.

Retries if connection is broken

If an connection to your server fails or an error occurs Arles will retry the upload action for the number of times you specified here.

Send 'keep alive' signal during transfers

Some buggy firewalls and routers kill long FTP connections, because they think it is no longer in use. The keep alive feature is a work around for this problem. It periodically communicates with the FTP server in an effort to convince these firewalls and routers that the connections is still alive.

Confirmations

Confirm before publishing files

Select if you want to be warned before files are published to your server.

Warn before deleting files from server

Select if you want a warning dialog to be shown before any files are deleted from your server.

Warn if remote folder does not exist

Select if you want to be warned before the remote folder is created on the server in case it did not exist.


Multi-folder Processing

To open the Multi-folder processing window, select in the main window the Tools menu > Multi-folder processing.

What is multi-folder processing?

The multi-folder processing window allows you to create galleries of multiple directories. Say, your images are organized as follows:

C:\Images

C:\Images\Holiday

C:\Images\Holiday\France

C:\Images\Holiday\Mexico

C:\Images\Family

C:\Images\Family\John

C:\Images\Family\Ann

Arles allows you to select the root folder C:\Images and create image galleries for each folder.

Subcategories

Arles will create links to subcategories (subfolders with images) if you switch on the Add subcategories option on the main window File Locations tab.

To process multiple folders

Step 1

Select the Root folder. This is the folder in which all your images and subfolders with images are located.

Step 2

Set the target folder type:

Same as source folder

Arles will put all generated files in the same folder as the images. With this setting your original images will get mixed with files generated by Arles. This can easily become a bit messy, which is the reason why it is not recommended.

Subfolder

All generated files will be put in a subfolder of the source folder. For example, if you specified "HTML" as subfolder and your images are in C:\Images, the created files will be put in C:\Images\HTML.

Other

All gallery files will be put in the defined target folder. The target folder will have the same directory structure as the root source folder. To keep the generated files separated from the original images, it is recommended to specify a target folder outside the root folder.

Step 3

Click the Find folders button to search for folders with images. The treeview will now also show the target folder for each source folder.

Step 4

Select the checkboxes for the folders you want to be processed.

Step 5

Click the All, Thumbnails, Images or HTML button to start the processing. It works the same as in the main window.

The grid shows the found source folders the number of image in each folder and the destination folders.

To view the results

Select a folder in the grid and click the Show button to show the results.

Folder Options

You can select a Default image or Custom style for each folder on the Folder info panel in the Arles Image Explorer.

Tip

Action commands in the popup menu will only process the selected folders. So, if you want to recreate HTML for only one folder, right click it and select Create HTML from the popup menu.


HTML templates

Using Arles standard interface you can customize many aspects of your image galleries. For even more control you can use HTML templates. With templates any aspect of the image gallery can be customized.

How do HTML templates work?

Arles uses HTML templates to generate galleries. The template tell Arles where to put gallery elements like the thumbnail index table, the navigation items, gallery title, etc. Template files are HTML files that contain Arles template tags and can be edited with your favorite HTML or text editor.

Two words of caution. Templates require some HTML knowledge and changing templates might disable some of the Arles features. For example if you remove the Title section, the gallery title will no longer show up.

Template types

None

No templates are used.

Simple

The easiest way to create templates.

Using simple templates ...

Advanced

The most powerful, but also more complex way to create templates.

Using advanced templates ...

Tags

Available tags ...


Simple HTML Templates

Simple templates are the most convenient way to create HTML templates. If you want even more control, use the Advanced Templates option.

To create your own templates:

1. Open the HTML Templates window by selecting Edit menu > HTML Templates in the main window.
2. Select the Simple templates customization option.
3. Check the "Use index page template" options.
4. Click the Create button to create a basic index page template.
5. Edit the template by clicking the Edit button. This will start your default HTML editor. You can set the default HTML Editor in the Environment options window.
6. After you saved the changes to the HTML template, recreate the gallery by clicking the All or HTML button in the main window.

Template Tags ...

Example Simple HTML Templates ...


Advanced HTML Templates

Advanced HTML Templates are the most powerful way to create HTML Templates. If you don't need all these features, use the Simple Templates option instead. Advanced templates allow you to override default template tags. You could for example define your own navigation section.

You create a new advanced template set by clicking the Create button. Click the Edit button to find out in which folder the template files are located.


HTML Template Tags

Simple templates Advanced templates

Index page tags

The following tags can be used in Index Page templates.

{indexpage.doctype} Inserts the doctype at the beginning of the index page file.
{indexpage.htmltitle} Inserts gallery title on index pages. This tag should be placed in the title section of the template file (e.g. <title>{indexpage.htmltitle}</title>).
{indexpage.head} Contains all code that Arles needs to put in the HTML <head> section. This is generally meta tags, JavaScript and custom HTML added to <head> section.
{indexpage.body} Inserts complete index page HTML contents, including thumbnail table, the navigation bars, custom HTML, gallery title, etc. This tag should placed be in the <body> section of the template file. This tag is defined in "indexpage_body.html" file.
{indexpage.table} Index thumbnail table.
{indexpage.thumbnail width=200 height=200} Add this tag in your template to put a thumbnail (and title if specified) anywhere in your gallery. Width and height and attributes can be set to override the default thumbnail maximum width and height. Eg: {indexpage.thumbnail width=200 height=200}
{indexpage.title} Index page gallery title.
{indexpage.banner.top} Index page top banner.
{indexpage.banner.bottom} Index page bottom banner.
{indexpage.custom.top} Custom HTML added to top of page.
{indexpage.custom.bottom} Custom HTML added to bottom of page.
{indexpage.align} Index page alignment. Generally used as follows: <div align="{indexpage.align}">
{indexpage.table.cell.valign} Index table vertical cell alignment.

{indexpage.table.cell.color} Index table cell color.

Navigation tags

Note: Navigation tags only show up if the navigation elements are also selected in the Arles Navigation Options window.

{indexpage.navigation.top} Index page top navigation. The navigation section is defined in the "indexpage_navigation.html" template file.
{indexpage.navigation.bottom} Index page bottom navigation. The navigation section is defined in the "indexpage_navigation.html" template file.
{indexpage.navigation.home} Home navigation item.
{indexpage.navigation.home.url} Link to Home.
{indexpage.navigation.up} One level up navigation item. Used in multi-folder processing.

{indexpage.navigation.up.url} Link to one level up index page.
{indexpage.navigation.first} First page navigation item.

{indexpage.navigation.first.url} Link to first index page.
{indexpage.navigation.previous} Previous page navigation item.

{indexpage.navigation.previous.url} Link to previous index page.
{indexpage.navigation.next} Next page navigation item.
{indexpage.navigation.next.url} Link to next index page.
{indexpage.navigation.last} Last page navigation item.

{indexpage.navigation.last.url} Link to last index page.
{indexpage.navigation.quicklist} Quicklist navigation item.

{indexpage.navigation.count} "Index 1" navigation item.
{indexpage.navigation.count.unformatted} Index page counter (e.g. "1") without formatting.
{indexpage.navigation.total} "Of 20" navigation item
{indexpage.navigation.total.unformatted} Total index page count (e.g. "20") without formatting.
{indexpage.navigation.bar} Inserts crumbtrail navigation bar used in multi-folder processing.
Thumbnail tags
The following tags can only be used in the "indexpage_thumbnail_imageandtitle_*.html" template files:
{indexpage.thumbnail.image} Index page thumbnail image. This tag can only be used in the "indexpage_thumbnail_imageandtitle" template files.
{indexpage.thumbnail.title} Thumbnail title.

{indexpage.thumbnail.title.textalign} Thumbnail title text alignment.

{indexpage.thumbnail.title.align} Thumbnail title horizontal alignment.

{indexpage.thumbnail.title.valign} Thumbnail title vertical alignment.
Image page tags
The following tags can be used in image page templates.
{imagepage.doctype} Inserts the doctype at the beginning of the index page file.
{imagepage.head} Contains all code that Arles needs to put in the HTML <head> section. This is generally meta tags, JavaScript and custom HTML added to <head> section.
{imagepage.body} Inserts complete image page HTML contents. This includes the navigation bars. This tag should placed be in the "body" section of the template file.
{imagepage.htmltitle} Inserts HTML title on image pages. This tag should be placed in the title section of the template file (e.g. <title>{imagepage.htmltitle}</title>).
{imagepage.title} Image page title.
{imagepage.imageandtitle} Image and title.
{imagepage.banner.top} Index page top banner.
{imagepage.banner.bottom} Index page bottom banner.
{imagepage.custom.top} Image page custom HTML added to top of page.
{imagepage.custom.bottom} Image page custom HTML added to bottom of page.
{imagepage.image} Image.
{imagepage.navigation.top} Image page top navigation section.
{imagepage.navigation.bottom} Image page bottom navigation section.
{imagepage.navigation.slideshow.startstop} Slideshow start/stop navigation item.
{imagepage.navigation.home} Home navigation item.
{imagepage.navigation.home.url} Link to home.
{imagepage.navigation.index} Index page navigation item.
{imagepage.navigation.index.url} Link to index page.
{imagepage.navigation.first} First page navigation item.
{imagepage.navigation.first.url} Link to first image page.
{imagepage.navigation.previous} Previous page navigation item.
{imagepage.navigation.previous.url} Link to previous image page.
{imagepage.navigation.next} Next page navigation item.
{imagepage.navigation.next.url} Link to next image page.
{imagepage.navigation.last} Last page navigation item.
{imagepage.navigation.last.url} Link to last image page.
{imagepage.navigation.quicklist} Quicklist navigation item.
{imagepage.navigation.count} "Image 2" navigation item.
{imagepage.navigation.count.unformatted} Image index (e.g. "2") without any formatting.
{imagepage.navigation.total} "Of 20" navigation item.
{imagepage.navigation.total.unformatted} Image total count (e.g. "20") without any formatting.
{imagepage.navigation.bar} Inserts crumbtrail navigation bar used in multi-folder processing.
{imagepage.align} Image page horizontal alignment.
{imagepage.title.align} Image page title alignment.
{imagepage.title.valign} Image page vertical title alignment.
{imagepage.title.textalign} Image page text alignment.
Other tags

{navigation.option.spacing} Navigation cell spacing.


Simple HTML Template Example

This example shows what the most basic template looks like. You can create these templates by clicking the Create button in the Template Window.

Index page template file

{indexpage.doctype}

<html>

<head>

<title>{indexpage.htmltitle}</title>

{indexpage.head}

</head>

<body>

{indexpage.body}

</body>

</html>

Image pages template file

{imagepage.doctype}

<html>

<head>

<title>{imagepage.htmltitle}</title>

{imagepage.head}

</head>

<body>

{imagepage.body}

</body>

</html>


JPEG or PNG?

Arles saves generated images in a Internet compatible format. You can specify the default image file format for thumbnails and images.

JPEG or PNG?

Select JPEG to create image galleries on the web with a small download size and maximum compatibility. Select PNG if you often modify images or want top image quality.

 | JPEG | PNG | Bitmap (for comparison only)
Image information | Lossy | Lossless | Lossless
Image quality | Good | Excellent | Excellent
Compression | Excellent | Medium | None
File size | Small | Medium | Large
Browser compatibility | Excellent | Good | None

JPEG is still the standard for showing images on the Internet. The main reason being that JPEG produces the smallest files with good image quality. The main problem of JPEG is that some image information is sacrificed (lossy compression) to achieve the small image file size. A nice feature of JPEG is that the image quality factor (and thus compression) can be set. Keep in mind that even at 100% some image information is still lost.

PNG files are about 4 times larger than average JPEG files (though still much smaller than a bitmap file), but they are lossless. Just like bitmap files you can modify and save them without losing any image information (lossless compression).

JPEG images are wider supported than PNG. All modern image editors and web browsers (e.g. Internet Explorer 4, Netscape 4 or better) support PNG, but if you want to make sure users with Browsers of a few years old can view your image galleries, use JPEG.


Image Resize Methods

To resize images Arles uses advanced resample algorithms like Mitchell and Lanczos 3, which produce superior quality thumbnails and images. You can set the image resize method for both thumbnails and images.

Which resize method should I use?

For top quality images use either Mitchell or Lanczos 3. Lanczos 3 is the default and arguably produces the best thumbnails of photographic images when used in combination with a sharpen filter. The Mitchell filter generally shows a little less ringing artifacts than the Lanczos 3 filter, but the thumbnails are also a bit less sharp. Some of the other filters are faster, but produce lower quality images.

Mitchell is generally your best choice if you want to make your images larger (yes you can do that too). Lanczos 3 is also recommended for graphic type images. It produces the sharpest results with the least smoothing.

Tip

If your images look somewhat fuzzy make sure you select a sharpen filter.


Image Filters

The following filters can be applied for thumbnails and other images.

Sharpen filters

Sharpen

Makes your images look sharper,by increasing the contrast between adjacent pixels with significant color contrasts, usually at the edges of objects. It lightens the light pixels and darkens the dark pixels.

Sharpen more

Sharpen filter with more intensity. Use this if the end result still looks slightly out of focus. Using this instead of sharpen can lead to artifacts on some images.

High pass

Extreme intense sharpen filter.

Blur filters

Blur

Smoothes transitions and decrease contrast by averaging the pixels next to hard edges of defined lines and areas where there are significant color transitions. Apply the Blur or Soften filters to an image to reduce graininess.

Soften

Applies a uniform blur to an image.

Edge filters

Edge enhance

Increases contrast along the edges in the image.

Find edges

Enhances the contrasts between light and dark in the image by darkening the image and then highlighting the edges.

Laplace

Laplace edge detection filter

Other

Emboss

Converts the image into a bas-relief. Emboss causes the foreground to appear raised from the background by suppressing color and tracing edges in black.


Style Files

Styles are an easy way to share layouts between image galleries. A style contains all gallery settings from page colors to thumbnail sizes.

Saving and loading

To save the current style:

· In the Arles Image Web Page Creator window select the File menu > Save style.

To load a style:

· In the Arles Image Web Page Creator window select the File menu > Load style .

You can also load a style from a standard Arles file (*.arl).

Button and background images

The style does contain all gallery settings but not the button and background images. To use a style on another computer you have copy any banner image files and template files specified in the style. If a button or background image can not be found, Arles Image Web Page Creator will look in the default button and background folders to check if they exist there. This is the reason why the default button and background folders are the best place to store your button and background images.


Run Options

In the Run Options window you can specify command line scripts to be run before or after generating a gallery. To open the Run Options window, in the main window select the Edit menu > Run Options.

Command to run before generating gallery

Specify the command or script you want to run before generating a gallery. Arles will wait for the command or script to finish before proceeding.

Insert tag

Click the Insert Tag button to insert a folder title tag. Arles will automatically replace these tags with the correct content for each gallery.

Command to run after generating gallery

Specify the command or script you want to run after a gallery has been generated.

Example commands

python c:\scripts\your_script.py

Run the your_script.py Python script.

python c:\scripts\your_script.py "<SourceFolder>" "<TargetFolder>"

Run a python script with the source and target folders as arguments.

Options

Save run options in gallery file

Select if you want the command line settings to be stored in the gallery file for each gallery. Unselect if you want to use the specified command for all galleries.

Run minimized

Makes the command run in a minimized window, which prevents the window from showing, disappearing and grabbing the focus every time a command is run. This is especially helpful during multi-folder processing where commands may be run many times.


Command Line Processing

To set up command line control, first open Arles and set all options like you want them. If everything works like you want, select the File menu > Save. Then call Arles from the command line with the settings file you just saved.

All actions, warnings and errors are stored in the arles.log file. The Arles settings files are plain ASCII. So you can edit them using a script language or ASCII text editor.

Synopsis

arles.exe [options] [settings filename]

Options

-a, --all

Process all actions. Generate thumbnails, modify images and create HTML pages. Equivalent with clicking the All button in the toolbar.

-d, --dontclose

Don't close Arles after command line processing has finished. This option is ignored if the -n or --nogui option is selected.

-i, --images

Modify images. Equivalent with clicking the Images button in the toolbar.

-h, --html

Create gallery HTML pages. Equivalent with clicking the HTML button in the toolbar.

-l, --log

Show Arles log file after the command line processing has finished.

-m, --multifolder

Use multi-folder processing. All other options will now refer to the multi-folder processing window.

-n, --nogui

Don't show the Arles GUI (Graphical User Interface). Arles will run hidden in the background.

-p, --publish

Publish the generated gallery to the web server. Equivalent to clicking the Find & Check and Publish buttons in the Publish Files window.

-source FOLDER

Source folder for gallery creation.

-t, --thumbnails

Generate thumbnails. Equivalent with clicking the Thumbnails button in the toolbar.

-target FOLDER

Target folder for gallery creation.

Examples

"C:\Program Files\Digital Dutch\Arles Image Web Page Creator\arles.exe" -a "C:\gallery.arl"

Create an image gallery using the gallery.arl options file.

"C:\Program Files\Digital Dutch\Arles Image Web Page Creator\arles.exe" -a -m -p "C:\gallery.arl"

Create multi-folder galleries using the gallery.arl options file and publish the results to your web server.

"C:\Program Files\Digital Dutch\Arles Image Web Page Creator\arles.exe" -a -source "C:\Images\Mexico" -target "C:\Website\Images\Mexico" "C:\gallery.arl"

Create an image gallery using the gallery.arl options file, "C:\Images\Mexico" as source folder and "C:\Website\Images\Mexico" as target folder.


Web Page Creator Options

Select Tools menu > Environment Options to display the Environment Options window. Use the pages of this dialog box to specify general configuration preferences. The environment options are automatically saved when you close Arles.

Go to the Arles Image Explorer to set Image Explorer options and database options.

The pages of the Environment Options window are:

General

Set general Arles Image Web Page Creator options.

HTML

Set HTML generation options.

File locations

Specify folder locations.

Confirmations

Select which confirmation and warning dialogs you want to see.

Browsers

Set HTML browser options.

Other


General

Interface options

Show created gallery in browser after creating HTML

Select this options to automatically show newly created HTML pages in your default browser. Without this option, you have to click the Show button on the toolbar to show the generated pages.

Reopen option windows on startup

Select to start Arles with all sub windows open that were open the last time that Arles was closed.

Set Source folder when browsing in the Arles Image Explorer

Select this option is you want the source folder to automatically change when you select another folder in the Arles Image Explorer.

Startup

Load default gallery style

Arles starts with the default gallery style as specified in the Default gallery style drop down box.

Open most recently used Arles file

Loads the most recently used Arles file when starting Arles. Recommended if you often work with the same style files.


HTML

General

Default HTML file extension

Default extension for all generated HTML files in new image galleries. The default file extension can be either selected from the drop down list or typed directly in the edit box. The file extensions for the index file and image files can be specified on the File Names tab in the Advanced Files Options window.

Convert line breaks to HTML breaks

In HTML code line breaks require the </br> tag. Select this option if you want line breaks in titles to show up as line breaks in HTML pages. Arles will automatically add the </br> tag if this option is selected.

Hide link to Arles web site

By default the Arles links are set for each gallery on the Advanced Index Page Options and Advanced Image Page Optionswindows. Select this option to always hide the links to the Arles web site for all galleries.

Note: This option can only be selected in the registered Arles version.

HTML document encoding

Document encoding

In HTML pages different languages required different encodings. Generally, you don't want to change these options if you use your language is based on the Latin alphabet, like English, Spanish or German. Western (Latin1) should be selected as document encoding type for these languages.

Unicode

Unicode (UTF-8) encoding works with any world language, but some older webservers or browsers may have a problem with Unicode encoded webpages. For maximum compatibility with older webservers and browser use a language specific encoding, like Western (Latin1) instead.

Encode URLs

When selected characters that are not allowed in URLs are encoded with their character number equivalent. For example, spaces are replaced with "%20". It is recommended to always have this option selected.

HTML encode Arles titles

Encodes characters that are not allowed in HTML code. For example "<" is replaced with "&lt;" and "&" is replaced with "&amp;".

If Western (Latin1) page encoding is selected, non-standard latin characters, like "é", are also converted. In this case the character "é" is converted into "&eacute;". Switch this option off only if you want to use HTML tags and code directly in your title fields. Custom HTML fields are never encoded, because these fields can contain raw HTML code which will not work when encoded.

Reset

Click the Reset button to reset the document encoding and type to the Arles defaults.

External HTML editor

This options allows you to specify the HTML editor you want to use when clicking the Edit button in the HTML Templates Window.


File locations

File locations

Set the appropriate folders to specify the default locations where Arles looks for images.

Buttons images
Default folder for the button images. You can select button images for your navigation items.
Background images

Default folder for the background images. Background images are used for the HTML Design window.

Banner images

Default folder for banners.

You might want to add your own button and background images to this folder to make Style transfers between computers easier. If you load a style and Arles Image Web Page Creator can not find the button or background images, it checks these folders.

The locations of thumbnails, images and navigation images are stored with the gallery settings and can be specified in the Advanced File Locations window.


Confirmations

Confirmations

Confirm before creating target folder

Check this option to be warned when Arles creates a new target folder.

Confirm before publishing to FTP server

Check this option to be warned when Arles publishes a gallery to your web server.

Warn if image logo is larger than image

Large image logos might fully cover smaller images. This can be rather confusing as it makes the original image completely invisible. Select this option to be warned when this happens.

Recommended setting: Selected

Warn if critical tags are missing in templates

When using HTML templates, Arles needs several tags in the templates to be able to create the gallery. You will receive a warning if Arles cannot find the tags it requires. In rare cases want to remove these critical tags from the HTML templates anyway without Arles complaining about it. Unselect this option to do so.

Recommended setting: Selected

Confirm unselecting erroneous images

When Arles finds images that it cannot load because they contain errors, it will automatically unselect them in the Arles Image Explorer to prevent the load error from appearing again. Select this dialog if you want to be warned when this happens.

Show warning dialog on gallery creation errors

If an error occurs when generating a gallery Arles will show add the error message in the Progress Window log area and popup a dialog. Unselect this option if you do not want to see the error dialogs.


Browsers

User defined browsers

Multiple browsers can be set to show generated HTML pages. Type the browser name on the left side and select the browser executable file name on the right. Generated galleries can be shown in the specified browsers by selecting the browser from the drop down menu of the Show button on the Toolbar.

Tip

To find the correct file name for a browser, right click the browser icon in the Windows explorer and look in the properties dialog.

Default browser

This is the browser that is used to show the generated gallery when the Show button in the main window is clicked.


Other

Logging

Select to store all actions, warnings and error messages in a log file. The log file is located in the same folder as the Arles.exe file. Old log entries are automatically purged when the file size grows over 50KB. When using Arles from the command line actions and errors are always logged.

View log

Click the View log button to open the log file.

Debugging

Show extensive error messages

Select to receive extensive error information for debugging. This options should only be used if you experience problems or when requested by Digital Dutch.


How to add titles to my images?

You can add titles to your images in the Arles Image Explorer.

See: Editing image titles...

External link

· Add titles to your images tutorial on digitaldutch.com website.


How to create galleries of web pages?

Create galleries of websites

With Arles you can create image galleries from website links or from local HTML files.

External link

· Creating galleries of websites tutorial on digitaldutch.com website.


How to create multi-folder galleries?

Say your images are organized as follows:

C:\images\holiday

C:\images\holiday\spain

C:\images\holiday\greece

C:\images\friends\johns_birthday

C:\images\friends\cathy

and you want to create gallery that includes all these categories with the C:\images folder linking to the subgalleries.

· In the Image Web Page Creator window select the Files tab and select the Add Subcategories option.
· In the Image Web Page Creator window select the Tools menu > Multi-folder processing.
· In the Multi-folder processing window select your top folder (e.g. C:\images) as Root folder.
· Set the Target folder type to Other folder. You can select other target folder types, but this is discouraged, because the files generated by Arles will mix with your original images making things less organized.
· In the Multi-folder processing window select a target folder location. This is where all files generated by Arles will be put.
· Click the Find Folders button on the Toolbar to find all subfolders with images.
· If you are satisfied with the results click the All button.


How to create a gallery from movies?

There several ways to handle movie files in the generated galleries.

Embed movies

To embed movies in the image pages using the Window Media Player control:

· In the Web Page Creator window select the Image Pages tab and click the Advanced button.
· In the Advanced Image Pages Options window select the Movies tab.
· Select the Embed movies option.
· Recreate your gallery by clicking the All button in the Web Page Creator window.

.

Link the thumbnails to the movie file.

To link thumbnails directly to the movies:

· In the Web Page Creator window select the Index Page tab and click the Advanced button.
· In the Advanced Index Page Options window select the Thumbnail Links tab.
· Select the Link non-images, like movies, always to the original files option.
· Recreate your gallery by clicking the All button in the Web Page Creator window.

Link the image page image to the movie file

You can also select to show the movie poster frame on the image page and link this image to the movie file. This can be done in the following way:

· In the Web Page Creator window select the Image Pages tab and click the Advanced button.
· In the Advanced Image Pages Options window select the Image Links tab.
· Select the Link non-images , like movies, always to the original files option.
· Recreate your gallery by clicking the All button in the Web Page Creator window.


Copy or move my images files without losing image titles?

Don't use the Windows Explorer to move your images if you want to keep image titles. Use the Arles Image Explorer instead, to keep title information. You can copy images by dragging and dropping them with your mouse or by using copy (Ctrl+C) and paste (Ctrl+V). To open the Arles Image Explorer click the Browse button in Arles Image Web Page Creator window.

IPTC

Another option is to use the IPTC information window, which allows you to store IPTC information right into the image files.


Remove the "Generated With Arles Image Web Page Creator" links?

 Top Previous

The links to the Arles website can be only be disabled in registered versions of Arles Image Web Page Creator.

To disable the Arles links for the current gallery:

· Open the Advanced Index Page Properties window by clicking the Advanced button on the Index Page tab.
· Deselect "Add link to Arles Web Site".
· Do the same in the Advanced Image Pages Properties window by clicking the Advanced button on the Image Pages tab.

To disable the links for all galleries:

· In the main window select Tools menu > Environment Options.
· In the Environment Options window, select the HTML tab.
· Select "Hide link to Arles web site for All galleries".


Date/Time formatting

Date and time formatting

 Top

Date and time formatting

In the date or time formatting window, you can select an example format from the drop down list by clicking the small arrow button on the right. Or you can type of any the specifiers below.

Format specifiers

The following date and time format specifiers are available:

Specifier Displays

d Day as a number without leading zero (e.g. 1, 31).
dd Day as a number with a leading zero (e.g. 01, 31).
ddd Day as an abbreviation (e.g. Sun, Mon).
dddd Full day name (e.g. Sunday, Monday).
m Month as a number without leading zero (e.g. 1, 11).
mm Month as a number with a leading zero (e.g. 01, 11).
mmm Month as a abbreviation (e.g. Jan, Nov).
mmmm Full month name (e.g. January, November).
yy Year as two-digit number (e.g. 99, 05).
yyyy Year as four-digit number (e.g. 1999, 2005).
h Hour without a leading zero (e.g. 4, 23).
hh Hour with a leading zero (e.g. 04, 23).
n Minute without leading zero (e.g. 8, 15).
nn Minute with a leading zero (e.g. 08, 15).
s Second without a leading zero (e.g. 3, 45).
ss Second with a leading zero (.e.g 03, 45).
z Displays the millisecond without a leading zero (e.g. 6, 990).
zzz Displays the millisecond with a leading zero (e.g. 006, 990).
am/pm Uses the 12-hour clock for the preceding h or hh specified and displays 'am' for any hour before noon and 'pm' for any hour after noon.
w Week number according to ISO (e.g. 7, 43).
ww Week number according to ISO with leading zero (e.g. 07, 43).
ii Year of ISO week denoted by w in 2 digits (e.g. 99, 02).
iiii Year of ISO week denoted by w in 4 digits (e.g.1999, 2002).
e Number of day in ISO week (e.g. Monday=1, Sunday=7).
ee Number of day in ISO week with leading zero (e.g. Monday=01, Sunday=07).
f Number of day in year denoted by y (e.g. 1 January=1, 2 February=32).
fff Number of day in year denoted by y with leading zeros in three digits (e.g. 1 January=001, 2 February=032).
'text' Characters between single quotes are displayed as is.

Examples

On 1 March 2005 at 07:15:03 am

Date format Displayed
yyyy-mm-dd 2005-03-01
dddd d mmmm yyyy - h'h' mm'm' ss's' Tuesday 1 March 2005 - 7h 15m 03s


Image file errors

 Top

Sometimes image files contain errors in their definition. If Arles Image Web Page Creator encounters an image file that contains errors, an '.error' extension is added to the file name (e.g. image.jpeg.error). The erroneous image file will be ignored for all further operations.

Tip

Sometimes a image files with errors can be repaired by loading and saving them with a photo or image editing application.


Main Window

 Top

Arles can start up with the Image Explorer or the Web Page Creator window. You can select the default startup window in the Image Explorer Options.


Create menu

 Top

The Create menu in the Arles Image Web Page Creator window contains the items below. All these commands are also available in the toolbar.

All

Create thumbnails, modify images and create HTML pages in a single click. This is similar to pressing the Thumbnails, Images and HTML buttons after each other.

Thumbnails

Create thumbnails images of all image files located in the source folder. Set thumbnail options on the thumbnail page.

Images

Modify all image files located in the source folder. Set image creation options on the Images page.

HTML

Create Index and Image HTML pages. The HTML options can be set on the Index page and the Image pagesoption pages.

To show generated pages automatically in your default browser, select the Show created gallery in browser after creating HTML in the Web Page Creator Options window.


Edit menu

 Top

The Edit menu in the Arles Image Web Page Creator window contains the following items:

Font and Style Options

Opens the Font and Style Options window.

HTML Design

Opens the HTML Design window.

Navigation Options

Open the Navigation Options window.

Advanced Files

Opens the Advanced Files Options window.

Advanced Thumbnails Options

Opens the Advanced Thumbnails Options window.

Advanced Images Options

Opens the Advanced Images Options window.

Advanced Index Page Options

Opens the Advanced Index Page Options window.

Advanced Image Pages Options

Opens the Advanced Image Pages Options window.

Advanced Title Options

Opens the Advanced Title Options window. For standard title options click the Titles tab in the Web Page Creatorwindow.

HTML Templates

Opens the HTML Templates window.

Run Options

Opens the Run Options window.


File menu

 Top

The File menu in the Arles Image Web Page Creator window contains the following items:

New

Create a new Arles file. All properties will be set to the default values.

Open...

Opens an Arles file. Use the Open dialog box to load an existing Arles file.

Save

Choose File|Save to store changes made to the active file. Arles stores all gallery information in the file. All image information set in the Image Explorer is stored in a database.

Save as...

Choose File > Save As to save the active file with a different name or in a different location.

Open Style...

Open a style from file.

Save Style...

Save the current style to file.

Recently opened files

The file menu shows a list of recently opened files. Click on a file name to reopen it. When you save or close a file it is automatically appended to this list.

Exit

Exit Arles Image Web Page Creator.


Help menu

 Top

Arles Help

Opens the Arles help file.

Creating Image Web Pages

Opens a getting started tutorial on how to create an image gallery.

Arles Website

Opens the Arles website in your web browser.

Arles Online Support Forum

Opens the Arles Online Support Forum in your web browser.

Ordering information

Opens the Arles website in your default browser.

Enter registration code

Opens the Register window where you can enter your registration name and code to make the evaluation version into an officially registered version. You have to order Arles Image Web Page Creator to recieve a registration code.

About

Opens the About Arles Image Web Page Creator window which contains Arles version information and the registered user name.


Tools menu

 Top

Publish Files

Publishes the generated gallery files to your webserver.

Multi-folder processing

Create galleries of multiple directories in one go.

Browse Target Folder

Open the Target folder as specified on the Files tab in the Windows Explorer.

Empty Target Folder

Move all files and subfolders as specified on the Files tabin the Windows Recycle Bin. Do not use this options if you have files in the target folder that you want to keep.

Options

Shows the Web Page Creator Options window.


View menu

 Top

The View menu in the Arles Image Web Page Creator window contains the following items:

Image Explorer

Opens the Image explorer, which can be used to view, sort and select images.

Show Results

Shows the generated HTML files in the default browser. This menu item is also available in the fast button bar.

Refresh

Refreshes image information for the source folder.


Overwrite existing thumbnails and images?

 Top

You can select to recreate all thumbnails and images or to only create them for new and modified images.

Select:

Yes | Select Yes to overwrite and recreate all existing thumbnails and images. Yes is required if you have changed any thumbnail or image option, like thumbnail width or image border style.
No | Select No to only create thumbnails and images for new and modified original images. No is faster, but keep in mind that you have to overwrite existing thumbnails and images if you changed any thumbnail or image options. If you don't do so, you won't see the changes.
Don't ask again | Check the Don't ask again option if you want to control overwriting images on the File Locations page.


Toolbar

 Top

The toolbar provides shortcuts to the most commonly used tasks.

Browse

Opens the Arles Image Explorer, which can be used to view, sort and select images. You can also add custom titles to all images.

All

Create thumbnails, modify images and create HTML pages in a single click. This is similar to pressing the Thumbnails, Images and HTML buttons after each other.

Thumbnails

Create thumbnail images of all image files located in the source folder. Set thumbnail options on the thumbnailtab.

Images

Modify all image files located in the source folder. Set image creation options on the Images tab.

HTML

Create Index and Images HTML pages. The HTML options can be set on the Index page and the Image pagestabs.

Show

Shows the generated HTML pages in the default browser. You can also select the drop down menu to show generated pages in other installed Browsers. See also Environment Options window.

To show generated pages automatically in the browser after HTML has been created, select the Show results after Create HTML in the Environment Options window.